(define _ir6_1
  '((cat clause)
    (process-type attributive)
    (carrier ((lex "car")
              (cat common)
              (distance near)))
    (attribute === "expensive")))

(define _ir6_2
  '((cat clause)
    (process-type action)
    (agent ((lex "John")
            (cat proper)))
    (medium ((lex "book")
             (cat common)
             (definite no)
             (describer === "blue")))
    (benef ((lex "Mary")
            (cat proper)))
    (verb ((process-class action)
           (voice-class non-middle)
           (transitive-class bitransitive)
           (dative-prep "to")
           (lex "give")))))

(define _ir6_3
  '((cat clause)
    (process-type action)
    (focus {medium})
    (agent ((lex "John")
            (cat proper)))
    (medium ((lex "book")
             (cat common)
             (definite no)
             (classifier === "science")))
    (benef ((lex "Mary")
            (cat proper)))
    (verb ((process-class action)
           (voice-class non-middle)
           (dative-prep "to")
           (lex "give")))))

(define _ir6_4
  '((cat clause)
    (process-type mental)
    (processor ((lex "John")
                (cat proper)))
    (phenomenon ((lex "Mary")
                 (cat proper)))
    (verb ((process-class mental)
           (voice-class non-middle)
           (lex "like")))))

(define _ir6_5
  '((cat clause)
    (process-type equative)
    (identified ((lex "John")
                 (cat proper)))
    (identifier ((lex "teacher")
                 (cat common)))))

(define _ir6_6
  '((cat clause)
    (process-type equative)
    (focus {identifier})
    (identified ((lex "John")
                 (cat proper)))
    (identifier ((lex "president")
                 (cat common)))))

(define _ir6_7
  '((cat clause)
    (process-type action)
    (agent ((lex "John")
            (cat proper)))
    (medium ((lex "ball")
             (cat common)
             (definite no)
             (describer === heavy)))
    (benef ((lex "Mary")
            (cat proper)))
    (focus {benef})
    (verb ((process-class action)
           (voice-class non-middle)
           (transitive-class bitransitive)
           (dative-prep "to")
           (lex "throw")))))

(define _ir6_8
  '((cat clause)
    (process-type attributive)
    (carrier ((lex "book")
              (cat common)
              (determiner ((lex "John")
                           (case possessive)
                           (cat proper)))))
    (attribute === "beautiful")))

(define _ir6_9
  '((cat clause)
    (mood finite)
    (process
     ((lex "move")
      (voice-class middle) 
      (transitive-class intransitive)))
    (process-type action) 
    (medium ((definite yes)
             (cat common)
             (lex "sig-display marker")))))

(define _ir6_10
  '((cat clause)
    (mood finite)
    (process
     ((lex "move")
      (voice-class middle) 
      (transitive-class intransitive)))
    (process-type action)  
    (medium ((definite yes)
             (cat common)
             (lex "sig-display marker")))
    (to-loc ((definite yes) (cat common) (lex "right")))))

(define _ir6_11
  '((cat clause)
    (mood finite)
    (process
     ((lex "move")
      (voice-class middle) 
      (transitive-class intransitive)))
    (process-type action)  
    (medium ((definite yes)
             (cat common)
             (lex "sig-display marker")))
    (from-loc ((definite yes) (cat common) (lex "left")))))

(define _ir6_12
  '((cat clause)
    (mood finite)
    (process
     ((lex "move")
      (voice-class middle) 
      (transitive-class intransitive)))
    (process-type action)
    (medium ((definite yes)
             (cat common)
             (lex "sig-display marker")))
    (to-loc ((definite yes) (cat common) (lex "right")))
    (from-loc ((definite yes) (cat common) (lex "left")))))


(define _ir6_13
  '((speech-act assertive)
    (cat clause)
    (mood finite)
    (verb
     ((lex "cause")
      (voice-class non-middle)           
      (transitive-class transitive)
      (subject-clause present-participle)
      (object-clause infinitive)))
    (process-type action)
    (agent ((cat clause)
            (verb ((lex "increase")
                   (voice-class middle)
                   (transitive-class transitive)))
            (process-type action)
            (medium ((definite yes)
                     (cat common)
                     (lex "power level")))))
    (medium ((cat clause)
             (verb ((lex "move")
                    (voice-class middle) 
                    (transitive-class intransitive)))
             (process-type action)  
             (medium ((definite yes)
                      (cat common)
                      (lex "sig-display marker")))
             (to-loc ((definite yes)
                      (cat common)
                      (lex "right")))))))

(define _ir6_14
  '((cat clause)
    (mood infinitive)
    (process-type action)
    (agent ((cat personal-pronoun)
            (gender feminine)))
    (verb ((lex "do")
           (voice-class non-middle)
           (transitive-class transitive)))
    (medium ((cat personal-pronoun)
             (gender neuter)))))

(define _ir6_15
  '((cat clause)
    (process-type attributive)
    (carrier ((cat clause)
              (process-type action)
              (agent ((cat personal-pronoun)
                      (gender feminine)))
              (verb ((lex "do")
                     (voice-class non-middle)
                     (transitive-class transitive)))
              (medium ((cat personal-pronoun)
                       (gender neuter)))))
    (attribute ((cat common)
                (definite no)
                (lex "statement")
                (describer === bold)))))

(define _ir6_16
  '((cat common)
    (head === man)
    (definite yes)
    (animate yes)
    (qualifier ((cat clause)
                (restrictive no)
                (scope ((role phenomenon)))
                (process-type mental)
                (verb ((lex "know")
                       (voice-class non-middle)
                       (transitive-class transitive)))
                (processor ((cat personal-pronoun)
                            (person first)))))))

(define _ir6_17
  '((cat common)
    (head === man)
    (definite yes)
    (qualifier ((cat clause)
                (restrictive yes)    ;; ***** here is the difference
                (scope ((role phenomenon)))
                (process-type mental)
                (verb ((lex "know")
                       (voice-class non-middle)
                       (transitive-class transitive)))
                (processor ((cat personal-pronoun)
                            (person first)))))))

(define _ir6_18
  '((cat common)
    (head === man)
    (definite yes)
    (qualifier ((cat clause)
                (restrictive yes)
                (scope ((role processor)))
                (process-type mental)
                (verb ((lex "know")
                       (voice-class non-middle)
                       (transitive-class transitive)))
                (phenomenon ((cat personal-pronoun)
                             (person first)))))))

(define _ir6_19
  '((cat common)
    (head === position)
    (definite yes)
    (qualifier ((cat clause)
                (restrictive yes)
                (scope ((role to-loc)))
                (process-type action)
                (verb ((lex "move")
                       (voice-class middle)
                       (transitive-class intransitive)))
                (medium ((cat common)
                         (lex "marker")
                         (definite yes)))
                (to-loc ((definite yes)
                         (cat common)
                         (lex "right")))))))

(define _ir6_20
  '((cat common)
    (head === position)
    (definite yes)
    (qualifier ((cat pp)
                (restrictive yes)
                (np ((cat common)
                     (head === marker)
                     (definite yes)))))))

(define _ir6_21
  '((cat common)
    (head === wife)
    (determiner ((possessive yes)
                 (cat personal-pronoun)
                 (person first)))
    (qualifier ((cat proper)
                (restrictive no)
                (head === "Carol")))))

(define _ir6_22
  '((cat common)
    (head === brother)
    (determiner ((possessive yes)
                 (cat personal-pronoun)
                 (person first)))
    (qualifier ((cat proper)
                (restrictive yes)  ;; **** Here is the difference
                (head === "Steve")))))

(define _ir6_23
  '((cat common)
    (head === person)
    (definite no)
    (describer ((lex "intelligent")))))

(define _ir6_24
  '((cat list)
    (common ((cat np)))
    (distinct
     ~(((cat common)
        (head === brother)
        (determiner ((cat personal-pronoun)
                     (person first)))
        (qualifier ((cat proper)
                    (restrictive yes)
                    (head === "Steve"))))
       ((cat common)
        (head === wife)
        (determiner ((cat personal-pronoun)
                     (person first)))
        (qualifier ((cat proper)
                    (restrictive no)
                    (head === "Carol"))))))))

(define _ir6_25
  '((cat list)
    (common ((cat np)))
    (distinct
     ~(((cat common)
        (head === wife)
        (determiner ((cat personal-pronoun)
                     (person first)))
        (qualifier ((cat proper)
                    (restrictive no)
                    (head === "Carol"))))
       ((cat common)
        (head === brother)
        (determiner ((cat personal-pronoun)
                     (person first)))
        (qualifier ((cat proper)
                    (restrictive yes)
                    (head === "Steve"))))
       ((cat proper)
        (head === "John"))))))

(define _ir6_26
  '((cat list)
    (common ((cat clause)
             (mood imperative)))
    (distinct
     ~(((process-type action)
        (verb ((lex "take")
               (voice-class non-middle)
               (transitive-class transitive)))
        (medium ((cat common)
                 (head === hammer)
                 (definite yes))))
       ((process-type action)
        (verb ((lex "hit")
               (voice-class non-middle)
               (transitive-class transitive)))
        (medium ((cat common)
                 (head === nail)
                 (definite yes))))))))		   

(define _ir6_27
  '((cat clause)
    (mood imperative)
    (process-type action)
    (verb ((lex "clean")
           (voice-class non-middle)
           (transitive-class transitive)))
    (medium ((cat common)
             (head === "box")
             (definite yes)))
    (purpose ((process-type action)
              (verb ((lex "install")
                     (voice-class non-middle)
                     (transitive-class transitive)))
              (medium ((cat common)
                       (head === "battery")
                       (definite yes)))))))



(define _ir6_28
  '((cat clause)
    (process-type attributive)
    (epistemic-modality inference)
    (carrier ((cat clause)
              (process-type action)
              (agent ((cat personal-pronoun)
                      (gender feminine)))
              (verb ((lex "do")
                     (voice-class non-middle)
                     (transitive-class transitive)))
              (medium ((cat personal-pronoun)
                       (gender neuter)))))
    (attribute ((cat common)
                (definite no)
                (lex "statement")
                (describer === bold)))))


(define _ir6_29
  '((cat common)
    (head === man)
    (animate yes)
    (definite yes)
    (qualifier ((cat clause)
                (restrictive no)
                (scope ((role phenomenon)))
                (process-type mental)
                (epistemic-modality "may")
                (verb ((lex "know")
                       (voice-class non-middle)
                       (transitive-class transitive)))
                (processor ((cat personal-pronoun)
                            (person first)))))))

(define _ir6_30
  '((speech-act assertive)
    (tense present)
    (aspect ((perfective no) (progressive no)))
    (epistemic-modality possible)
    (cat clause)
    (mood finite)
    (verb
     ((lex "move")
      (voice-class middle) 
      (transitive-class intransitive)))
    (process-type action)  
    (medium ((definite yes)
             (cat common)
             (lex "sig-display marker")))
    (to-loc ((definite yes) (cat common) (lex "right")))))

(define _ir6_31
  '((cat list)
    (common ((cat clause)
             (mood imperative)))
    (distinct
     ~(((process-type action)
        (time-relater === first)
        (verb ((lex "take")
               (voice-class non-middle)
               (transitive-class transitive)))
        (medium ((cat common)
                 (head === hammer)
                 (definite yes))))
       ((process-type action)
        (time-relater === then)
        (verb ((lex "hit")
               (voice-class non-middle)
               (transitive-class transitive)))
        (medium ((cat common)
                 (head === nail)
                 (definite yes))))))))		   

(define _ir6_32
  '((cat list)
    (common ((cat clause)
             (mood imperative)))
    (distinct
     ~(((process-type action)
        (epistemic-modality possible)
        (verb ((lex "take")
               (voice-class non-middle)
               (transitive-class transitive)))
        (medium ((cat common)
                 (head === hammer)
                 (definite yes))))
       ((process-type action)
        (verb ((lex "hit")
               (voice-class non-middle)
               (transitive-class transitive)))
        (medium ((cat common)
                 (head === nail)
                 (definite yes))))))))		   



(define _ir6_33
  '((process-type action)
    (cat clause)
    (mood imperative)
    (instrument ((cat common)
                 (head === hammer)
                 (definite yes)))
    (verb ((lex "hit")
           (voice-class non-middle)
           (transitive-class transitive)))
    (medium ((cat common)
             (head === nail)
             (definite yes)))))		   

(define _ir6_34
  '((process-type action)
    (cat clause)
    (mood imperative)
    (instrument ((cat common)
                 (head === hammer)
                 (definite no)))
    (verb ((lex "hit")
           (instrument-prep "using")
           (voice-class non-middle)
           (transitive-class transitive)))
    (medium ((cat common)
             (head === nail)
             (definite yes)))))		   

(define _ir6_35
  '((process-type action)
    (cat clause)
    (mood imperative)
    (instrument ((cat common)
                 (head === screwdriver)
                 (definite no)))
    (verb ((lex "take")
           (particle "off")
           (instrument-prep "using")
           (voice-class non-middle)
           (transitive-class transitive)))
    (medium ((cat common)
             (head === nail)
             (definite yes)))))		   

(define _ir6_36
  '((process-type action)
    (cat clause)
    (focus {medium})
    (instrument ((cat common)
                 (head === screwdriver)
                 (definite no)))
    (verb ((lex "take")
           (particle "off")
           (instrument-prep "using")
           (voice-class non-middle)
           (transitive-class transitive)))
    (medium ((cat common)
             (head === nail)
             (definite yes)))))		   

(define _ir6_37
  '((process-type action)
    (cat clause)
    (mood imperative)
    (instrument ((cat common)
                 (prep "using")
                 (head === screwdriver)
                 (definite no)))
    (verb ((lex "take")
           (particle "off")
           (voice-class non-middle)
           (transitive-class transitive)))
    (medium ((cat common)
             (head === nail)
             (definite yes)))))		   


(define _ir6_38
  '((process-type action)
    (cat clause)
    (mood finite)
    (tense present)
    (accompaniment ((cat common)
                    (head === compartment)
                    (definite yes)))
    (process ((lex "line up")
              (voice-class middle)
              (transitive-class intransitive)))
    (medium ((cat common)
             (head === battery)
             (definite yes)))))		   


(define _ir6_39
  '((process-type action)
    (cat clause)
    (mood finite)
    (tense present)
    (process ((lex "do")
              (voice-class non-middle)
              (transitive-class transitive)))
    (agent ((cat personal-pronoun)
            (animate yes)
            (gender masculine)
            (person third)
            (number singular)))
    (medium ((cat personal-pronoun)
             (gender neuter)
             (person third)
             (number singular)))
    (reason ((cat personal-pronoun)
             (gender masculine)
             (person second)
             (number singular)))))

(define _ir6_40
  '((process-type action)
    (cat clause)
    (mood finite)
    (tense present)
    (process ((lex "do")
              (voice-class non-middle)
              (transitive-class transitive)))
    (agent ((cat personal-pronoun)
            (animate yes)
            (gender masculine)
            (person third)
            (number singular)))
    (medium ((cat personal-pronoun)
             (gender neuter)
             (person third)
             (number singular)))
    (reason ((cat clause)
             (process-type mental)
             (processor {agent})
             (verb ((lex "like")
                    (voice-class non-middle)
                    (transitive-class transitive)))
             (phenomenon ((cat personal-pronoun)
                          (person second)
                          (number singular)))))))

(define _ir6_41
  '((process-type action)
    (cat clause)
    (mood finite)
    (tense past)
    (process ((cat verb-group)
              (lex "score")
              (voice-class non-middle)
              (transitive-class transitive)))
    (agent ((cat personal-pronoun)
            (animate yes)
            (gender masculine)
            (person third)
            (number singular)))
    (medium ((cat common)
             (lex "39 points")
             (countable no)))       ;; I don't have numbers yet
    (behalf ((cat proper)
             (lex "the Lakers")))))
