(define _ir9_1
  '((cat clause)
    (process-type ascriptive)
    (relation-mode attributive)
    (carrier ((lex "car")
              (cat common)
              (distance near)))
    (attribute === "expensive")))

(define _ir9_2
  '((cat clause)
    (process-type material)
    (agent ((lex "John")
            (cat proper)))
    (medium ((lex "book")
             (cat common)
             (definite no)
             (describer === "blue")))
    (benef ((lex "Mary")
            (cat proper)))
    (process ((process-class material)
              (transitive-class bitransitive)
              (dative-prep "to")
              (lex "give")))))

(define _ir9_3
  '((cat clause)
    (process-type material)
    (focus {medium})
    (agent ((lex "John")
            (cat proper)))
    (medium ((lex "book")
             (cat common)
             (definite no)
             (classifier === "science")))
    (benef ((lex "Mary")
            (cat proper)))
    (process ((process-class material)
              (transitive-class bitransitive) 
              (dative-prep "to")
              (lex "give")))))

(define _ir9_4
  '((cat clause)
    (process-type mental)
    (processor ((lex "John")
                (cat proper)))
    (phenomenon ((lex "Mary")
                 (cat proper)))
    (process ((process-class mental)
              (lex "like")))))

(define _ir9_5
  '((cat clause)
    (process-type ascriptive)
    (relation-mode equative)
    (identified ((lex "John")
                 (cat proper)))
    (identifier ((lex "teacher")
                 (cat common)))))

(define _ir9_6
  '((cat clause)
    (process-type ascriptive)
    (relation-mode equative)
    (focus {identifier})
    (identified ((lex "John")
                 (cat proper)))
    (identifier ((lex "president")
                 (cat common)))))

(define _ir9_7
  '((cat clause)
    (process-type material)
    (agent ((lex "John")
            (cat proper)))
    (medium ((lex "ball")
             (cat common)
             (definite no)
             (describer === "heavy")))
    (benef ((lex "Mary")
            (cat proper)))
    (focus {benef})
    (process ((process-class material)
              (transitive-class bitransitive)
              (dative-prep "to")
              (lex "throw")))))

(define _ir9_8
  '((cat clause)
    (process-type ascriptive)
    (relation-mode attributive)
    (carrier ((lex "book")
              (cat common)
              (possessor ((lex "John")
                          (cat proper)))))
    (attribute === "beautiful")))

(define _ir9_9
  '((cat clause)
    (process
     ((lex "move")
      (voice-class middle)))
    (process-type material) 
    (medium ((cat common)
             (lex "SIG-display marker")))))

(define _ir9_10
  '((cat clause)
    (process
     ((lex "move")
      (voice-class middle)))
    (process-type material)  
    (medium ((cat common)
             (lex "sig-display marker")))
    (to-loc ((cat common) (lex "right")))))

(define _ir9_11
  '((cat clause)
    (process
     ((lex "move")
      (voice-class middle)))
    (process-type material)  
    (medium ((cat common)
             (lex "sig-display marker")))
    (from-loc ((cat common) (lex "left")))))

(define _ir9_12
  '((cat clause)
    (process
     ((lex "move")
      (voice-class middle)))
    (process-type material)
    (medium ((cat common)
             (lex "sig-display marker")))
    (to-loc ((cat common) (lex "right")))
    (from-loc ((cat common) (lex "left")))))

(define _ir9_13
  '((speech-act assertive)
    (cat clause)
    (process
     ((lex "cause")
      (subject-clause present-participle)
      (object-clause infinitive)))
    (process-type material)
    (agent ((cat clause)
            (verb ((lex "increase")
                   (voice-class middle)))
            (process-type material)
            (medium ((cat common)
                     (lex "power level")))))
    (medium ((cat clause)
             (verb ((lex "move")
                    (voice-class middle) 
                    (transitive-class intransitive)))
             (process-type material)  
             (medium ((cat common)
                      (lex "sig-display marker")))
             (to-loc ((cat common)
                      (lex "right")))))))

(define _ir9_14
  '((cat clause)
    (mood infinitive)
    (process-type material)
    (agent ((cat personal-pronoun)
            (gender feminine)))
    (process ((lex "do")))
    (medium ((cat personal-pronoun)
             (gender neuter)))))

(define _ir9_15
  '((cat clause)
    (process-type ascriptive)
    (relation-mode attributive)
    (carrier ((cat clause)
              (process-type material)
              (agent ((cat personal-pronoun)
                      (gender feminine)))
              (process === "do")
              (medium ((cat personal-pronoun)
                       (gender neuter)))))
    (attribute ((cat common)
                (definite no)
                (lex "statement")
                (describer === "bold")))))

(define _ir9_16
  '((cat common)
    (head === "man")
    (animate yes)
    (qualifier ((cat clause)
                (restrictive no)
                (scope ((role phenomenon))) 
                (process-type mental)
                (process ((lex "know")
                          (transitive-class transitive)))
                (processor ((cat personal-pronoun)
                            (person first)))))))

(define _ir9_17
  '((cat common)
    (head === "man")
    (qualifier ((cat clause)
                (restrictive yes)    ;; ***** here is the difference
                (scope ((role phenomenon)))
                (process-type mental)
                (process ((lex "know")
                          (transitive-class transitive)))
                (processor ((cat personal-pronoun)
                            (person first)))))))


(define _ir9_18
  '((cat common)
    (head === "man")
    (qualifier ((cat clause)
                (restrictive yes)
                (scope ((role processor)))
                (process-type mental)
                (process ((lex "know")
                          (transitive-class transitive)))
                (phenomenon ((cat personal-pronoun)
                             (person first)))))))

(define _ir9_19
  '((cat common)
    (head === "position")
    (qualifier ((cat clause)
                (restrictive yes)
                (scope ((role to-loc)))
                (process-type material)
                (process ((lex "move")
                          (voice-class middle)))
                (medium ((cat common)
                         (head === "marker")))
                (to-loc ((cat common)
                         (head === "right")))))))

(define _ir9_20
  '((cat common)
    (head === "position")
    (definite yes)
    (qualifier ((cat pp)
                (restrictive yes)
                (np ((cat common)
                     (head === "marker")))))))

(define _ir9_21
  '((cat np)               
    (complex apposition)     
    (restrictive no)          
    (distinct ~(((cat common) 
                 (head === "wife")
                 (possessor ((cat personal-pronoun)
                             (person first))))
                ((cat proper)
                 (restrictive no)
                 (head === "Carol"))))))

(define _ir9_22
  '((cat np)
    (complex apposition)
    (restrictive yes) ;; **** Here is the difference
    (distinct 
     ~(((cat common) 
        (head === "brother")
        (possessor  ((cat personal-pronoun)
                     (person first))))
       ((cat proper)
        (head === "Steve"))))))

(define _ir9_23
  '((cat common)
    (head === "person")
    (definite no)
    (describer === "intelligent")))


(define _ir9_24
  '((cat np)
    (complex conjunction)
    (distinct
     ~(((complex apposition)
        (restrictive yes) 
        (distinct ~(((cat common) 
                     (head === "brother")
                     (possessor ((cat personal-pronoun)
                                 (person first))))
                    ((cat proper)
                     (head === "Steve")))))
       ((complex apposition)
        (restrictive no)        
        (distinct ~(((cat common) 
                     (head === "wife")
                     (possessor ((cat personal-pronoun)
                                 (person first))))
                    ((cat proper)
                     (head === "Carol")))))))))

(define _ir9_25
  '((cat np)
    (complex conjunction)
    (distinct
     ~(((complex apposition)
        (restrictive no)        
        (distinct ~(((cat common) 
                     (head === "wife")
                     (possessor ((cat personal-pronoun)
                                 (person first))))
                    ((cat proper)
                     (head === "Carol")))))
       ((complex apposition)
        (restrictive yes) 
        (distinct ~(((cat common) 
                     (head === "brother")
                     (possessor ((cat personal-pronoun)
                                 (person first))))
                    ((cat proper)
                     (head === "Steve")))))
       ((cat proper)
        (lex "John"))))))

(define _ir9_26
  '((cat clause)
    (complex conjunction)
    (common ((mood imperative)))
    (distinct
     ~(((process-type material)
        (process === "take")
        (medium ((cat common)
                 (head === "hammer"))))
       ((process-type material)
        (process === "hit")
        (medium ((cat common)
                 (head === "nail"))))))))		   

(define _ir9_27
  '((cat clause)
    (mood imperative)
    (process-type material)
    (process === "clean")
    (medium ((cat common)
             (head === "box")))
    (purpose ((process-type material)
              (verb === "install")
              (medium ((cat common)
                       (head === "battery")))))))

(define _ir9_28
  '((cat clause)
    (process-type ascriptive)
    (relation-mode attributive)
    (epistemic-modality inference)
    (carrier ((cat clause)
              (process-type material)
              (agent ((cat personal-pronoun)
                      (gender feminine)))
              (process === "do")
              (medium ((cat personal-pronoun)
                       (gender neuter)))))
    (attribute ((cat common)
                (definite no)
                (head === "statement")
                (describer === "bold")))))

(define _ir9_29
  '((cat common)
    (head === man)
    (animate yes)
    (qualifier ((cat clause)
                (restrictive no)
                (scope ((role phenomenon)))
                (process-type mental)
                (epistemic-modality "may")
                (process === "know")
                (processor ((cat personal-pronoun)
                            (person first)))))))

(define _ir9_30
  '((cat clause)
    (epistemic-modality possible)
    (process ((lex "move")
              (voice-class middle)))
    (process-type material)  
    (medium ((cat common)
             (lex "sig-display marker")))
    (to-loc ((cat common) (lex "right")))))

(define _ir9_31
  '((cat clause)
    (complex conjunction) 
    (common ((mood imperative)))
    (distinct
     ~(((time-relater === "first")
        (process-type material)
        (process === "take")
        (medium ((cat common)
                 (head === "hammer"))))
       ((time-relater === "then")
        (process-type material)
        (process === "hit")
        (medium ((cat common)
                 (head === "nail"))))))))		   

(define _ir9_32
  '((cat clause)
    (complex conjunction) 
    (common ((mood imperative)))
    (distinct
     ~(((epistemic-modality possible)
        (process-type material)
        (process === "take")
        (medium ((cat common)
                 (head === "hammer"))))
       ((process === "hit")
        (process-type material)
        (medium ((cat common)
                 (head === "nail"))))))))		   

(define _ir9_33
  '((process-type material)
    (cat clause)
    (mood imperative)
    (instrument ((cat common)
                 (head === "hammer")))
    (process ===  "hit")
    (medium ((cat common)
             (head === "nail")))))		   

(define _ir9_34
  '((process-type material)
    (cat clause)
    (mood imperative)
    (instrument ((cat common)
                 (head === hammer)
                 (definite no)))
    (process ((lex "hit")
              (instrument-prep "using")))
    (medium ((cat common)
             (head === nail)))))		   

(define _ir9_35
  '((process-type material)
    (cat clause)
    (mood imperative)
    (instrument ((cat common)
                 (head === screwdriver)
                 (definite no)))
    (process ((lex "take")
              (particle "off")
              (instrument-prep "using")))
    (medium ((cat common)
             (head === nail)))))		   

(define _ir9_36
  '((process-type material)
    (cat clause)
    (focus {medium})
    (instrument ((cat common)
                 (head === screwdriver)
                 (definite no)))
    (process ((lex "take")
              (particle "off")
              (instrument-prep "using")))
    (medium ((cat common)
             (head === nail)))))		   

(define _ir9_37
  '((process-type material)
    (cat clause)
    (mood imperative)
    (instrument ((cat common) 
                 (prep "using")
                 (head === screwdriver)
                 (definite no)))
    (process ((lex "take")
              (particle "off")))
    (medium ((cat common)
             (head === nail)))))		   


(define _ir9_38
  '((process-type material)
    (cat clause)
    (accompaniment ((cat common)
                    (head === compartment)))
    (process ((lex "line up")
              (voice-class middle)))
    (medium ((cat common)
             (head === battery)))))		   


(define _ir9_39
  '((process-type material)
    (cat clause)
    (process === "do")
    (agent ((cat personal-pronoun)
            (animate yes)
            (gender masculine)
            (person third)
            (number singular)))
    (medium ((cat personal-pronoun)
             (gender neuter)
             (person third)
             (number singular)))
    (reason ((cat personal-pronoun)
             (gender masculine)
             (person second)
             (number singular)))))

(define _ir9_40
  '((process-type material)
    (cat clause)
    (process === "do")
    (agent ((cat personal-pronoun)
            (animate yes)
            (gender masculine)
            (person third)
            (number singular)))
    (medium ((cat personal-pronoun)
             (gender neuter)
             (person third)
             (number singular)))
    (reason ((cat clause)
             (process-type mental)
             (processor {agent})
             (verb === "like")
             (phenomenon ((cat personal-pronoun)
                          (person second)
                          (number singular)))))))

(define _ir9_41
  '((process-type material)
    (cat clause)
    (tense past)
    (process ((cat verb-group)
              (lex "score")))
    (agent ((cat personal-pronoun)
            (animate yes)
            (gender masculine)
            (person third)
            (number singular)))
    (medium ((cat common)
             (definite no)
             (cardinal ((value 39)))
             (lex "point")))
    (behalf ((cat proper)
             (lex "the Lakers")))))

(define _ir9_42
  '((cat clause)
    (process-type circumstantial)
    (relation-mode equative)
    (circumstance-as process)
    (process ((cat verb-group)
              (lex "cover")))
    (focus {identified})
    ;; Don't analyze the complicated np (macro-code it).
    (identified ((cat np)
                 (head ((cat noun)
                        (lex "holding battery cover plate")))))
    (identifier ((cat np)
                 (head ((cat noun)
                        (lex "holding battery compartment")))))))

(define _ir9_43
  '((cat clause)
    (process-type circumstantial)
    (relation-mode attributive)
    (circumstance-as participant)
    (focus {carrier})
    (carrier ((cat np)
              (lex "holding battery compartment")))
    (attribute ((cat pp)
                (complex apposition)
                (restrictive yes)
                (distinct 
                 ~(((prep ((cat prep) (lex "in")))
                    (np ((cat np)
                         (head ((cat noun) (lex "back")))
                         (qualifier ((cat pp)               ;; of is default
                                     (np ((cat np)
                                          (head ((cat noun)
                                                 (lex "RT"))))))))))
                   ((prep ((cat prep) (lex "at")))
                    (np ((cat np)
                         ;; until we get a real semantic description of
                         ;; NPs modifiers a flat list is best for several
                         ;; describers or qualifiers.
                         (describer ((cat list) 
                                     (elements ~(((cat ap) (lex "bottom"))
                                                 ((cat ap) (lex "left"))))))
                         (head ((cat noun) (lex "corner"))))))))))))

(define _ir9_44
  '((cat clause)
    (process-type circumstantial)
    (relation-mode equative)
    (circumstance-as process)
    (process ((cat verb-group) (lex "contain")))
    (focus {identified})
    (identified ((cat np)
                 (head ((cat noun) 
                        (lex "holding battery compartment")))))
    (identifier
     ((cat np)
      (head ((cat noun) (lex "old holding battery")))
      (qualifier 
       ((cat ap)           ;; JR comment: ap = Adjectival Phrase
        (head === "shown")
        (qualifier ((cat pp)
                    (prep ((cat prep) (lex "in")))
                    (np ((cat np)
                         (head ((cat noun)
                                (lex "cut away view")))))))))))))

(define _ir9_45
  '((cat np)
    (complex conjunction)
    (distinct ~( ((cat common)
                  (head === "box"))
                 ((cat ap)
                  (head === "blue")) ))))


(define _ir9_46
  '((cat np)
    (complex apposition)
    (restrictive no) 
    (distinct 
     ~(((cat common) 
        (head ((cat noun)
               (complex conjunction)
               (distinct ~( ((lex "brother"))
                            ((lex "friend")) ))))
        (possessor ((cat personal-pronoun)
                    (person first))))
       ((cat proper)
        (head === "Steve"))))))


(define _ir9_47
  '((cat clause)
    (process-type ascriptive)
    (relation-mode attributive)
    (carrier ((head === "year")
              (ordinal ((value 1)))
              (cardinal ((value 2)))
              (possessor ((cat personal-pronoun)
                          (number singular)
                          (person first)))))
    (tense past)
    (attribute ((cat ap)
                (complex conjunction)
                (distinct ~( ((head === "happy"))
                             ((head === "uneventful")) ))))))


(define _ir9_48
  '((cat clause)
    (process-type possessive)
    (relation-mode attributive)
    (tense past)
    (possessor ((cat proper)
                (head === "Old McDonald")))
    (possessed ((cat common)
                (head === farm)
                (definite no)))))

(define _ir9_49
  '((cat clause)
    (process-type possessive)
    (relation-mode equative)
    (tense past)
    (possessor ((cat proper)
                (head === "Old McDonald")))
    (possessed ((cat common)
                (head === farm)
                (definite no)))))

(define _ir9_50
  '((cat clause)
    (process-type possessive)
    (relation-mode equative)
    (focus {possessed})
    (tense past)
    (possessor ((cat proper)
                (head === "Old McDonald")))
    (possessed ((cat common)
                (head === farm)
                (definite no)))))


(define _ir9_51
  '((process-type material)
    (cat clause)
    (deontic-modality duty)
    (process === do)
    (agent ((cat personal-pronoun)
            (animate yes)
            (person second)
            (number singular)))
    (medium ((cat personal-pronoun)
             (gender neuter)
             (person third)
             (number singular)))
    (purpose ((cat clause)
              (process-type ascriptive)
              (relation-type attributive)
              (carrier {agent})
              (attribute === innocent)))
    (behalf ((cat clause)
             (process-type material)
             (agent ((cat personal-pronoun)
                     (animate yes)
                     (person third)
                     (gender masculine)
                     (number singular)))
             (process === eat)))))


;; Test questions 

(define _ir9_52
  '((cat clause)
    (mood yes-no)
    (process-type ascriptive)
    (relation-mode attributive)
    (carrier ((lex "car")
              (cat common)
              (distance near)))
    (attribute === "expensive")))

(define _ir9_53
  '((cat clause)
    (process-type material)
    (mood yes-no)
    (tense future)
    (agent ((lex "John")
            (cat proper)))
    (medium ((lex "book")
             (cat common)
             (definite no)
             (describer === "blue")))
    (benef ((lex "Mary")
            (cat proper)))
    (process ((process-class material)
              (transitive-class bitransitive)
              (dative-prep "to")
              (lex "give")))))

(define _ir9_54
  '((cat clause)
    (process-type material)
    (tense past)
    (insistence yes)
    (agent ((lex "John")
            (cat proper)))
    (medium ((lex "book")
             (cat common)
             (definite no)
             (describer === "blue")))
    (benef ((lex "Mary")
            (cat proper)))
    (process ((process-class material)
              (transitive-class bitransitive)
              (dative-prep "to")
              (lex "give")))))

(define _ir9_55
  '((cat clause)
    (mood wh)
    (process-type ascriptive)
    (relation-mode attributive)
    (scope ((role carrier)
            (animate no)))
    (attribute === "expensive")))


(define _ir9_56
  '((cat clause)
    (mood wh)
    (process-type ascriptive)
    (relation-mode attributive)
    (scope ((role carrier)
            (animate no)))
    (attribute ((cat common)
                (definite no)
                (lex "classic")))))

;; JR Note: The scope can't simply be "attribute", since then it would be
;; impossible to choose the question pronoun (e.g. in ir9_55 it would be "How"
;; or "How expensive", in ir9_56 it would be "What" or "What kind of")
;; Also note the ambiguity of ir9_56.


(define _ir9_57
  '((cat clause)
    (mood wh)
    (process-type ascriptive)
    (relation-mode equative)
    (scope ((role identified)
            (animate yes)))
    (identifier ((cat common)
                 (possessor ((cat personal-pronoun)
                             (person second)))
                 (head === "father")))))		       


(define _ir9_58
  '((cat clause)
    (mood wh)
    (process-type ascriptive)
    (relation-mode equative)
    (scope ((role identifier)
            (animate yes)))
    (identified ((cat common)
                 (possessor ((cat personal-pronoun)
                             (person second)))
                 (head === "father")))))


(define _ir9_59
  '((cat clause)
    (mood wh)
    (process-type locative)
    (relation-mode attributive)
    (circumstance-as participant)
    (scope ((role location)
            (animate no)))
    (located ((cat common)
              (possessor ((cat personal-pronoun)
                          (person second)))
              (head === "mother")))))


(define _ir9_60
  '((cat clause)
    (mood wh)
    (process-type locative)
    (relation-mode attributive)
    (circumstance-as participant)
    (scope ((role located)
            (animate yes)))
    (location ((cat pp)
               (prep === "in")
               (np ((cat common)
                    (possessor ((cat personal-pronoun)
                                (person second)))
                    (head === "house")))))))


(define _ir9_61
  '((cat clause)
    (mood wh)
    (process-type locative)
    (relation-mode equative)
    (circumstance-as process)
    (scope ((role located)
            (animate no)))
    (process === "cover")
    (location ((cat common)
               (head === "opening")))))


(define _ir9_62
  '((cat clause)
    (mood wh)
    (process-type locative)
    (relation-mode equative)
    (circumstance-as process)
    (scope ((role location)
            (animate no)))
    (process === "cover")
    (located ((cat common)
              (head === "seal")))))


(define _ir9_63
  '((cat clause)
    (mood wh)
    (process-type temporal)
    (relation-mode attributive)
    (circumstance-as participant)
    (scope ((role time)))
    (located ((cat common)
              (head === "game")))))

;; JR note: how to do "At what time is the game?" ?!?!?!?!?


(define _ir9_64
  '((cat clause)
    (mood wh)
    (process-type temporal)
    (relation-mode attributive)
    (circumstance-as participant)
    (process === happen)
    (scope ((role located)))
    (time ((cat adv) (lex "then")))))


;; JR note: equative and circumstance-as-process flavors seem difficult
;; without specifying a time unit in the question (e.g. "What day is the
;; 10th?" "How long does the fair last?")


(define _ir9_65
  '((cat clause)
    (mood wh)
    (process-type circumstantial)
    (relation-mode attributive)
    (circumstance-as participant)
    (scope ((role attribute)))
    (carrier ((cat common)
              (possessor ((cat personal-pronoun)
                          (person second)))
              (head === "sister")))))


(define _ir9_66
  '((cat clause)
    (mood wh)
    (process-type circumstantial)
    (relation-mode attributive)
    (circumstance-as participant)
    (scope ((role accompaniment)
            (animate yes)))
    (attribute {accompaniment-comp})   ;; not nice ...
    (carrier ((cat common)
              (possessor ((cat personal-pronoun)
                          (person second)))
              (head === "sister")))))

;; JR note: before doing all circumstantial roles (and in all flavors) in
;; relation, decide whether we take Halliday's stance on the issue rather
;; than Fawcett.


(define _ir9_67
  '((cat clause)
    (mood wh)
    (process-type possessive)
    (relation-mode attributive)
    (scope ((role possessor)
            (animate yes)))
    (possessed ((cat common) 
                (definite no)
                (head === "PhD.")))))


(define _ir9_68
  '((cat clause)
    (mood wh)
    (process-type possessive)
    (relation-mode attributive)
    (scope ((role possessed)
            (animate no)))
    (possessor ((cat personal-pronoun)
                (gender feminine)
                (number singular)
                (person third)))))


(define _ir9_69
  '((cat clause)
    (mood wh)
    (process-type possessive)
    (relation-mode equative)
    (scope ((role possessor)
            (animate yes)))
    (possessed ((cat common) 
                (distance near)
                (head === "book")))))


(define _ir9_70
  '((cat clause)
    (mood wh)
    (process-type possessive)
    (relation-mode equative)
    (scope ((role possessed)
            (animate no)))
    (possessor ((cat personal-pronoun)
                (gender feminine)
                (person third)
                (number singular)))))


(define _ir9_71
  '((cat clause)
    (process-type material)
    (mood wh)
    (scope ((role agent)
            (animate yes)))
    (medium ((lex "book")
             (cat common)
             (definite no)
             (describer === "blue")))
    (benef ((lex "Mary")
            (cat proper)))
    (process ((process-class material)
              (transitive-class bitransitive)
              (dative-prep "to")
              (lex "give")))))


(define _ir9_72
  '((cat clause)
    (process-type material)
    (mood wh)
    (tense future)
    (scope ((role medium)
            (animate no)))
    (agent ((lex "John")
            (cat proper)))
    (benef ((lex "Mary")
            (cat proper)))
    (process ((process-class material)
              (transitive-class bitransitive)
              (dative-prep "to")
              (lex "give")))))


(define _ir9_73
  '((cat clause)
    (process-type material)
    (mood wh)
    (tense future)
    (scope ((role benef)
            (animate yes)))
    (agent ((lex "John")
            (cat proper)))
    (medium ((lex "book")
             (cat common)
             (definite no)
             (describer === "blue")))
    (process ((process-class material)
              (transitive-class bitransitive)
              (dative-prep "to")
              (lex "give")))))


(define _ir9_74
  '((cat clause)
    (process-type mental)
    (mood wh)
    (scope ((role phenomenon)
            (animate no)))
    (process === "prefer")
    (processor ((cat proper) (lex "Deborah")))))


(define _ir9_75
  '((cat clause)
    (process-type mental)
    (mood wh)
    (scope ((role processor)
            (animate yes)))
    (process === "worship")
    (phenomenon ((cat proper) (lex "Baal")))))

;; JR Question: How to make generic reference like "Who worships FIRE" or
;; "They want MONEY" ?


;; Add test for every role in relative clauses

(define _ir9_76
  '((process-type material)
    (mood wh)
    (cat clause)
    (process === "do")
    (agent ((cat personal-pronoun)
            (animate yes)
            (gender masculine)
            (person third)
            (number singular)))
    (medium ((cat personal-pronoun)
             (gender neuter)
             (person third)
             (number singular)))
    (scope ((role reason)))))

(define _ir9_77
  '((cat clause)
    (mood wh)
    (process ((lex "move")
              (voice-class middle)))
    (process-type material)
    (medium ((cat common)
             (lex "sig-display marker")))
    (to-loc ((cat common) (lex "right")))
    (scope ((role from-loc)))))

(define _ir9_78
  '((process-type material)
    (cat clause)
    (tense past)
    (process ((cat verb-group)
              (lex "score")))
    (agent ((cat personal-pronoun)
            (animate yes)
            (gender masculine)
            (person third)
            (number singular)))
    (medium ((cat common)
             (definite no)
             (number plural)   ;; cannot understand that "39" is plural!
             (cardinal ((value "39")))
             (lex "point")))
    (behalf ((cat proper)
             (lex "the Lakers")))))

(define _ir9_79
  '((cat clause)
    (process-type temporal)
    (relation-mode attributive)
    (circumstance-as participant)
    (tense past)
    (process === happen)
    (located ((cat np)
              (head === game)))
    (time ((cat adv) (lex "then")))))
