;;; --- Mode:Lisp; Syntax:Common-Lisp; Package:FUG3 ---
;;; ------------------------------------------------------------
;;; File        : IR0.L
;;; Description : Simple inputs to test GR0.
;;; Author      : Michael Elhadad
;;; Created     : 20-Jun-88
;;; Modified    : 18 May 90
;;; Language    : Common Lisp
;;; Package     : FUG3
;;; ------------------------------------------------------------

(defmacro define (var value) `(setq ,var ,value))
(load (concatenate 'string *cfuf-common-path* "testsuit/ir0.scm"))

(format t 
  "Sample examples to use with grammar GR0.~%")

(defun ir0_1 ()
  (format t "Example ir0_1: John likes Mary.~%")
  (setq ir0_1 _ir0_1))

(defun ir0_2 ()
  (format t "Example ir0_2: <fail>~%")
  (format t "---- when used with GR1 does not fail ---~%")
  (setq ir0_2 _ir0_2))

(defun ir0_3 ()
  (format t "Example ir0_3: John sells cars.~%")
  (setq ir0_3 _ir0_3))

(defun ir0_4 ()
  (format t "Example ir0_4: The man eats the meal.~%")
  (setq ir0_4 _ir0_4))

(ir0_1) (ir0_2) (ir0_3) (ir0_4)

(setq *ir-list* (list (cons ir0_1 "ir0_1") (cons ir0_2 "ir0_2") (cons ir0_3 "ir0_3") (cons ir0_4 "ir0_4")))
