;;; --- Mode:Lisp; Syntax:Common-Lisp; Package:FUG3 ---
;;; ------------------------------------------------------------
;;; File        : IR3.L
;;; Description : Simple inputs to test GR3
;;; Author      : Michael Elhadad
;;; Created     : 26-Feb-89
;;; Modified    : 18 May 90
;;; Language    : Common Lisp
;;; Package     : FUG3
;;; ------------------------------------------------------------


(defmacro define (var value) `(setq ,var ,value))
(load (concatenate 'string *cfuf-common-path* "testsuit/ir3.scm"))

(format t "IR3 works with GR3 only.~%")

(defun ir3_1 ()
  (format t "ir3_1 --> John eats a meal~%")
  (setq ir3_1 _ir3_1))
(ir3_1)

(defun ir3_2 ()
  (format t "ir3_2 --> John gives a blue book to Mary.~%")
  (setq ir3_2 _ir3_2))
(ir3_2)

(defun ir3_3 ()
  (format t "ir3_3 --> A book is given by John to Mary.~%")
  (setq ir3_3 _ir3_3))
(ir3_3)

(defun ir3_4 ()
  (format t "ir3_4 --> Mary is thrown a heavy ball by John.~%")
  (setq ir3_4 _ir3_4))
(ir3_4)

(setq *ir-list* (list (cons ir3_1 "ir3_1") (cons ir3_2 "ir3_2") (cons ir3_3 "ir3_3") (cons ir3_4 "ir3_4")))
