(cfuf:reset-types 500)
(cfuf:define-feature-type 'semantic-cat '(lexical-cat event relation set thing))
(cfuf:define-feature-type 'thing '(zero-article-thing article-thing countable mass))
(cfuf:define-feature-type 'set '(collective-set distributive-set))
(cfuf:define-feature-type 'zero-article-thing '(season institution meal illness transportation))
(cfuf:define-feature-type 'number '(singular plural))
(cfuf:define-feature-type 'plural '(dual not-one))
(cfuf:define-feature-type 'lexical-cat '(clause verb-group np ap pp np-head adj prep conj phrase address))
(cfuf:define-feature-type 'clause '(simple-clause complex-clause))
(cfuf:define-feature-type 'verb-group '(simple-verb-group complex-verb-group))
(cfuf:define-feature-type 'np '(simple-np complex-np))
(cfuf:define-feature-type 'pp '(simple-pp complex-pp))
(cfuf:define-feature-type 'ap '(simple-ap complex-ap))
(cfuf:define-feature-type 'np-head '(simple-np-head complex-np-head))
(cfuf:define-feature-type 'cardinal '(simple-cardinal complex-cardinal))
(cfuf:define-feature-type 'ordinal '(simple-ordinal complex-ordinal))
(cfuf:define-feature-type 'simple-np-head '(noun noun-compound measure partitive name))
(cfuf:define-feature-type 'name '(person-name team-name))
(cfuf:define-feature-type 'noun '(simple-noun complex-noun))
(cfuf:define-feature-type 'adj ' (simple-adj complex-adj))
(cfuf:define-feature-type 'complex '(clause verb-group np ap pp np-head adj cardinal ordinal))
(cfuf:define-feature-type 'simple-np '(pronoun common proper measure partitive date address))
(cfuf:define-feature-type 'proper '(trivial-proper basic-proper compound-proper))
(cfuf:define-feature-type 'common '(partitive))
(cfuf:define-feature-type 'complex-np '(pronoun common proper date partitive))
(cfuf:define-feature-type 'pronoun '(personal-pronoun question-pronoun relative-pronoun quantified-pronoun demonstrative-pronoun))
(cfuf:define-feature-type 'det '(possessive-det demonstrative-det article-det question-det quantifier-det))
(cfuf:define-feature-type 'question-det '(question-possessive-det))
(cfuf:define-feature-type 'possessive-det '(question-possessive-det))
(cfuf:define-feature-type 'adv '(intensifier detensifier adv-p))
(cfuf:define-feature-type 'process-class '(lexical simple-process composite))
(cfuf:define-feature-type 'simple-process '(event relation))
(cfuf:define-feature-type 'event '(material mental verbal))
(cfuf:define-feature-type 'mental '  (perception thinking))
(cfuf:define-feature-type 'relation '(ascriptive possessive locative))
(cfuf:define-feature-type 'locative '(spatial temporal accompaniment existential natural-phenom))
(cfuf:define-feature-type 'participant '(agent affected created carrier identified))
(cfuf:define-feature-type 'agent '(agent-carrier third-party-agent agent-identified))
(cfuf:define-feature-type 'affected '(affected-carrier affected-identified))
(cfuf:define-feature-type 'created '(created-carrier))
(cfuf:define-feature-type 'carrier '(located possessor))
(cfuf:define-feature-type 'located '(agent-carrier affected-carrier created-carrier))
(cfuf:define-feature-type 'possessor '(agent-carrier affected-carrier created-carrier))
(cfuf:define-feature-type 'identified '(agent-identified affected-identified))
(cfuf:define-feature-type 'synt-role '(subject obj complement))
(cfuf:define-feature-type 'obj '(object iobject dative by-obj))
(cfuf:define-feature-type 'complement '(subj-comp obj-comp))
(cfuf:define-feature-type 'synt-adverbial '(adjunct disjunct))
(cfuf:define-feature-type 'adjunct '(pred-adjunct sent-adjunct))
(cfuf:define-feature-type 'sem-adverbial '(pred-modif circum))
(cfuf:define-feature-type 'pred-modif '(location direction origin destination path distance duration manner means instrument comparison score))
(cfuf:define-feature-type 'circum '(location distance origin time duration frequency co-event reason result purpose behalf condition concessive-condition concession contrast exception inclusion substitution addition accompaniment opposition manner means comparison matter standard perspective))
(cfuf:define-feature-type 'sem-adverbial '(spatial temporal causal conditional determinative how topical))
(cfuf:define-feature-type 'spatial '(location direction origin destination path distance))
(cfuf:define-feature-type 'temporal '(time duration frequency co-event))
(cfuf:define-feature-type 'causal '(reason result purpose behalf co-event))
(cfuf:define-feature-type 'conditional '(condition concessive-condition concession))
(cfuf:define-feature-type 'determinative '(contrast opposition exception inclusion substitution addition accompaniment))
(cfuf:define-feature-type 'how '(manner means instrument comparison))
(cfuf:define-feature-type 'topical '(matter standard perspective))
(cfuf:define-feature-type 'mood '(finite non-finite))
(cfuf:define-feature-type 'finite '(declarative interrogative bound relative))
(cfuf:define-feature-type 'non-finite '(imperative participle infinitive verbless))
(cfuf:define-feature-type 'participle '(past-participle present-participle))
(cfuf:define-feature-type 'infinitive '(to-infinitive for-to-infinitive bare-infinitive))
(cfuf:define-feature-type 'interrogative '(yes-no wh))
(cfuf:define-feature-type 'wh '(wh-full wh-possessive wh-partial))
(cfuf:define-feature-type 'bound '(bound-nominal bound-adverbial))
(cfuf:define-feature-type 'bound-nominal '(bound-nominal-declarative bound-nominal-subjunctive))
(cfuf:define-feature-type 'relative '(simple-relative embedded-relative possessive-relative))
(cfuf:define-feature-type 'modality '(epistemic-modality deontic-modality))
(cfuf:define-feature-type 'epistemic-modality '(fact inference possible))
(cfuf:define-feature-type 'deontic-modality '(duty authorization))
(cfuf:define-feature-type 'tense '(present past future past-perfect present-perfect future-perfect past-progressive present-progressive future-progressive tense-10 tense-11 tense-12 tense-13 tense-14 tense-15 tense-16 tense-17 tense-18 tense-19 tense-20 tense-21 tense-22 tense-23 tense-24 tense-25 tense-26 tense-27 tense-28 tense-29 tense-30 tense-31 tense-32 tense-33 tense-34 tense-35 tense-36))
(cfuf:define-feature-type 'present '(simple-present tense-2))
(cfuf:define-feature-type 'past '(simple-past tense-1))
(cfuf:define-feature-type 'future '(simple-future tense-3))
(cfuf:define-feature-type 'past-perfect '(past-in-past tense-4))
(cfuf:define-feature-type 'present-perfect '(past-in-present tense-5))
(cfuf:define-feature-type 'future-perfect '(past-in-future tense-6))
(cfuf:define-feature-type 'past-progressive '(present-in-past tense-7))
(cfuf:define-feature-type 'present-progressive '(present-in-present tense-8))
(cfuf:define-feature-type 'future-progressive '(present-in-future tense-9))
(cfuf:define-feature-type 'tense-10 '(future-in-past past-future))
(cfuf:define-feature-type 'tense-11 '(future-in-present))
(cfuf:define-feature-type 'tense-12 '(future-in-future))
(cfuf:define-feature-type 'tense-13 '(past-in-future-in-past past-future-perfect))
(cfuf:define-feature-type 'tense-14 '(past-in-future-in-present))
(cfuf:define-feature-type 'tense-15 '(past-in-future-in-future))
(cfuf:define-feature-type 'tense-16 '(present-in-past-in-past past-perfect-progressive))
(cfuf:define-feature-type 'tense-17 '(present-in-past-in-present present-perfect-progressive))
(cfuf:define-feature-type 'tense-18 '(present-in-past-in-future future-perfect-progressive))
(cfuf:define-feature-type 'tense-19 '(present-in-future-in-past past-future-progressive))
(cfuf:define-feature-type 'tense-20 '(present-in-future-in-present present-future-progressive))
(cfuf:define-feature-type 'tense-21 '(present-in-future-in-future future-future-progressive))
(cfuf:define-feature-type 'tense-22 '(future-in-past-in-past))
(cfuf:define-feature-type 'tense-23 '(future-in-past-in-present))
(cfuf:define-feature-type 'tense-24 '(future-in-past-in-future))
(cfuf:define-feature-type 'tense-25 '(past-in-future-in-past-in-past))
(cfuf:define-feature-type 'tense-26 '(past-in-future-in-past-in-present))
(cfuf:define-feature-type 'tense-27 '(past-in-future-in-past-in-future))
(cfuf:define-feature-type 'tense-28 '(present-in-past-in-future-in-past past-future-perfect-progressive))
(cfuf:define-feature-type 'tense-29 '(present-in-past-in-future-in-present present-future-perfect-progressive))
(cfuf:define-feature-type 'tense-30 '(present-in-past-in-future-in-future))
(cfuf:define-feature-type 'tense-31 '(present-in-future-in-past-in-past))
(cfuf:define-feature-type 'tense-32 '(present-in-future-in-past-in-present))
(cfuf:define-feature-type 'tense-33 '(present-in-future-in-past-in-future))
(cfuf:define-feature-type 'tense-34 '(present-in-past-in-future-in-past-in-past))
(cfuf:define-feature-type 'tense-35 '(present-in-past-in-future-in-past-in-present))
(cfuf:define-feature-type 'tense-36 '(present-in-past-in-future-in-past-in-future))
(cfuf:realize-types)
