;; aux procedures.
;silver:/users/stud/phds/yaeln/cfuf/cfuf.scm, Fri Jan 22, edit by Yael Netzer 
   
(define (mapor pred  list)
	    (if  (member #t (map pred list)) #t #f))
 
;;-------------------------------------------------------------------
;; Utilities
;;-------------------------------------------------------------------
(defmacro unless (test action) `(if (not ,test) ,action nil))
(defmacro when (test action) `(if ,test ,action nil))
(define (flatten exp)
;removes all levels of paranthesis and returns flat list of atomsi
;(flatten '(a (b) () ((c)))) ==> (a b c)
   (cond ((not exp) '())
         ((null? exp) '())
         ((symbol? exp) (list exp))
	 ((number? exp) (list exp))
	 ((string? exp) (list exp))
         ((cfuf:fd? exp) (list exp))
         (else (append (flatten (car exp))
                    (flatten (cdr exp))))))


(define (member-if pred list)
  (cond 
   ((null? list) list)
   ((symbol? list) (error "MEMBER-IF: arg not of the  expected type `LIST'"
			list))
   (else 
    (if (pred (car list)) list 
	(member-if pred (cdr list))))))

(define (safe-assoc item a-list)
  (cond ((null? a-list) a-list)
	((pair? (car a-list))
	 (if (eq? item (caar a-list)) (car a-list)
	     (safe-assoc item (cdr a-list))))
	(else (safe-assoc item (cdr a-list)))))


;;-------------------------------------------------------------------
;; Utilities from surge lineraizer
;;-------------------------------------------------------------------
(define (list-if-atom item)
 ;  "Returns the list of an atom when passed an atom other than nil."
  (if (list? item) item (list item)))

;;-------------------------------------------------------------------
;; Utilities from SLIB
;;-------------------------------------------------------------------
(define (append-map procedure . lists)
  (apply append (apply map (cons procedure lists))))
 
(define (append-map-no-#f procedure . lists)
  (apply append (remove #f (apply map (cons procedure lists)))))

(define (append-map-and-filter procedure . lists)
	 (apply append 
		(remove #f (filter-nones (apply map (cons procedure lists)))))
)
(define (filter-nones list)
  (map (lambda (x) (if (eq? (get-value x '()) 'none) #f x)) list))



;;;;==================================================================
