#include "stdcfuf.h"
#include "b_pattern.hxx"

/////////////////////////////////////////////////////////////////////////////////
// CPattern methods
//
string CPattern::toString() const
{
  if (empty()) return "()";
  string str("(");
  const_iterator cur=begin();
  for (uint i=0;i<size()-1;++i,++cur) str << *cur << ' ';
  return str << *cur << ')';
}

/////////////////////////////////////////////////////////////////////////////////
// CMergeableAddr methods
//
string CMergeableAddr::toString() const
{
  string str;
  return str << "(* " << m_addr << ')';
}
