#include "b_symbols.hxx"
#include "b_predefined.hxx"

token_t Predefined::nil;
token_t Predefined::any;
token_t Predefined::given;
token_t Predefined::none;
token_t Predefined::alt;
token_t Predefined::ralt;
token_t Predefined::opt;
token_t Predefined::cat;
token_t Predefined::anonymous;
token_t Predefined::index;
token_t Predefined::bkclass;
token_t Predefined::demo;
token_t Predefined::wait;
token_t Predefined::cset;
token_t Predefined::fset;
token_t Predefined::pattern;
token_t Predefined::tpattern;
token_t Predefined::control;
token_t Predefined::null;
token_t Predefined::lex_shortcut;
token_t Predefined::lex;
token_t Predefined::dots;
token_t Predefined::under;
token_t Predefined::sunder;
token_t Predefined::lt;
token_t Predefined::le;
token_t Predefined::plus;
token_t Predefined::minus;
token_t Predefined::assign;
token_t Predefined::equal;
token_t Predefined::car;
token_t Predefined::cdr;
token_t Predefined::external;
token_t Predefined::internal;
/////////////////////////////////////////////////////////////////////////////////
// Predefined methods
//
void Predefined::init()
{
  nil = Symbols::insert("nil");
  any = Symbols::insert("any");
  given = Symbols::insert("given");
  none = Symbols::insert("none");
  alt = Symbols::insert("alt");
  ralt = Symbols::insert("ralt");
  opt = Symbols::insert("opt");
  cat = Symbols::insert("cat");
  anonymous = Symbols::insert("*ANONYMOUS*");
  index = Symbols::insert("index");
  bkclass = Symbols::insert("bk-class");
  demo = Symbols::insert("demo");
  wait = Symbols::insert("wait");
  cset = Symbols::insert("cset");
  fset = Symbols::insert("fset");
  pattern = Symbols::insert("pattern");
  tpattern = Symbols::insert("tpattern");
  control = Symbols::insert("control");
  null = Symbols::insert("");
  lex_shortcut = Symbols::insert("===");
  lex = Symbols::insert("lex");
  dots = Symbols::insert("dots");
  under = Symbols::insert("under");
  sunder = Symbols::insert("sunder");
  lt = Symbols::insert("<");
  le = Symbols::insert("<=");
  plus = Symbols::insert("+");
  minus = Symbols::insert("-");
  assign = Symbols::insert("=");
  equal = Symbols::insert("==");
  car = Symbols::insert("car");
  cdr = Symbols::insert("cdr");
  external = Symbols::insert("external");
  internal = Symbols::insert("*internal*");
}
