#ifndef _BASE_TYPEFWD_
#define _BASE_TYPEFWD_

#define DECLARE_TYPE(Name) \
class C##Name; \
typedef Handle<C##Name> h##C##Name

DECLARE_TYPE(Type);
DECLARE_TYPE(NormalType);
DECLARE_TYPE(InternalType);
DECLARE_TYPE(QuotedType);
DECLARE_TYPE(UnderType);
DECLARE_TYPE(StrictUnderType);
DECLARE_TYPE(AtomType);
DECLARE_TYPE(NoneType);
DECLARE_TYPE(IntermediateType);
DECLARE_TYPE(NilType);
DECLARE_TYPE(AnyType);
DECLARE_TYPE(GivenType);

#endif
