#include "stdcfuf.h"

// #define F_TRACE

#include "b_debug_tracer.hxx"
#include "c_altnode.hxx"
#include "c_branchnode.hxx"

/////////////////////////////////////////////////////////////////////////////////
// CAltNode methods
//
void CAltNode::add_branch(CGrNode *branch,CAltNode *parent_alt)
{
  branch->construct(m_depth+1,parent_alt,m_parent,m_range.second+1);
  m_children.push_back(branch);
}

/////////////////////////////////////////////////////////////////////////////////
// CRaltNode methods
//
CGrNode *CRaltNode::first_child()
{
  shuffle_children();
  uint i;
  for (i=0;i<m_children.size()-1;++i)
    m_children[i]->m_right_sibling=m_children[i+1];
  m_children[i]->m_right_sibling=NULL;
  return m_children[0];
}
void CRaltNode::shuffle_children()
{
  const int n=m_children.size();
  double j;
  for (int i=0;i<n;++i){
    j = i + ((n-i) * (double)rand())/RAND_MAX;
    swap(m_children[i],m_children[int(j)]);
  }
}

