#ifndef _COMPILER_CURLOC_
#define _COMPILER_CURLOC_

#include "b_objects.hxx"
#include <stack.h>

class CCurLoc:public CMyObject{
  typedef pair<int,EdgeList *> Undo;
  EdgeList *m_loc;
  stack<Undo> undo_stack;
public:
  explicit CCurLoc(int =0);
  ~CCurLoc();
  void reset(){
    destroy();
    construct();
  }
  const EdgeList& value() const { return *m_loc; }
  void update(token_t feat);
  void update(int upcount);
  void undo();
  string toString() const;
private:
  void destroy();
  void construct();
};

#endif
