#ifndef _DEBUG_DUMP_
#define _DEBUG_DUMP_

#ifdef DO_DUMP_CUR_POS
#define DUMP_CUR_POS(fd) DebugDump::dump_cur_pos(fd)
#define __DEBUG_DUMP
#else
#define DUMP_CUR_POS(fd)
#endif

#ifdef DO_DUMP_FD
#define DUMP_FD(fd)   DebugDump::dump_fd(fd)
#define __DEBUG_DUMP
#else
#define DUMP_FD(fd)
#endif

#ifdef __DEBUG_DUMP
class CBareFD;
struct DebugDump
{
	static void dump_cur_pos(CBareFD *fd);
	static void dump_fd(CBareFD *fd);
};
#undef __DEBUG_DUMP
#endif

#endif
