#ifndef _COMPILER_FDBASE_
#define _COMPILER_FDBASE_

class CArc_c:public CArc{
protected:
  tick_t m_def_id;
  tick_t m_undef_id;
public:
  CArc_c();
  explicit CArc_c(token_t title);
  void cleanup();
  void undefine();
  void update();
  bool IsDefined();
};

inline bool is_intermediate(CType *type){ return !(type->final() || type->internal()); }

////////////////////////////////////////////////////////////////////////////////
// This bitmap of node ids is used when the bitmap length may increase dynamicly
// (during the operation).This is the case when resoluting cset node references.
// Resolution of pattern node references may add new nodes to the graph too, but
// no bitmap is used there (unlike cset, nodes are allowed to repeat in pattern)
//
class CVisitedBitmap:public vector<bool>{
public:
  explicit CVisitedBitmap(int n);
  reference operator[](uint i);
};

#endif
