#include "stdcfuf.h"
#include "c_griterator.hxx"

/////////////////////////////////////////////////////////////////////////////////
// CGrTreeIterator methods
//
void CGrTreeIterator::next()
{
  pointer succ;
  if ((succ = m_cur->first_child())) m_cur=succ;
  else{
    while (!(succ = m_cur->right_sibling())){
      m_cur = m_cur->parent();
      if (!m_cur) return;
    }
    m_cur=succ;
  }
}
