#ifndef _COMPILER_GRITERATOR_
#define _COMPILER_GRITERATOR_

#include "c_grnode.hxx"

class CGrTreeIterator{
public:
  typedef CGrNode value_type;
  typedef value_type& reference;
  typedef value_type *pointer;
private:
  CGrNode *m_cur;
public:
  explicit CGrTreeIterator(CGrNode *root):m_cur(root){}
  void advance()                { if (m_cur) next(); }
  bool is_past_the_end() const  { return m_cur==NULL; }
  reference operator*() const   { return *m_cur; }
  pointer operator->() const    { return m_cur; }
  operator pointer() const      { return m_cur; }
private:
  void next();
};

#endif
