#include "stdcfuf.h"
#include "b_bkclass.hxx"
#include "cfuf.hxx"
#include "cfuf_bkclass.hxx"

////////////////////////////////////////////////////////////////////////////////
// CFUFBKClass methods
//
token_t CFUFBKClass::Define(token_t feature,const TokenList& lstBKClasses)
{
  TokenList::const_iterator it = lstBKClasses.begin();
  for (uint i = lstBKClasses.size();i;--i,++it)
    if (!BKClass::insert(feature,*it)) return *it;
  
  return 0;
}
void CFUFBKClass::Clear()
{
  BKClass::reset();
}
uint CFUFBKClass::GetCount()
{
  return BKClass::nclasses();
}
uint CFUFBKClass::GetCapacity()
{
  return BKClass::capacity;
}
