#ifndef __CFUF_MISC__
#define __CFUF_MISC__

struct CFUFMisc{
  static void EnablePathSplit(bool bEnable);
  static void EnableCorrectGiven(bool bEnable);
  static bool IsPathSplitEnabled();
  static bool IsCorrectGivenEnabled();
  static void SetSilent(bool bOn);
  static bool IsSilent();
  static void SetTraceLevel(uint level);
  static uint GetTraceLevel();
  static void SetULimit(ushort limit);
  static uint GetULimit();

  static void RegisterCategoriesNotUnified(const TokenList& lstCategories);
  static void UnregisterCategoriesNotUnified();
  static void UnregisterCategoriesNotUnified(const TokenList& lstCategories);
  static void GetCategoriesNotUnified(TokenList& lstCategories);
};

#endif
  
