#ifndef __CONTROL_C__
#define __CONTROL_C__

#include <signal.h>

class CShieldCtrlC
{
public:
	CShieldCtrlC();
	~CShieldCtrlC();
private:
#ifndef WIN32
	struct sigaction m_shielded;
	struct sigaction m_original;
#endif
private:
	static void SetInterrupted(int);
};

class CDisableCtrlC
{
public:
	CDisableCtrlC();
	~CDisableCtrlC();
private:
#ifndef WIN32
	struct sigaction m_disabled;
	struct sigaction m_original;
#endif
};

#endif
