#ifndef _PARSER_PATTERN_
#define _PARSER_PATTERN_

#include "b_pattern.hxx"
#include "p_objects.hxx"

class PatternParser:public BaseParser::ListElemParser{
public:
  CPattern *parse_special() throw (Fail *);
private:
  auto_ptr<CPattern> m_pattern;
  bool m_prev_dots;
private:
  Fail *parse_list_elem(token_t);
};

#endif
