#ifndef _PARSER_SPECIAL_
#define _PARSER_SPECIAL_

#include "p_parser.hxx"

template<class SpecialParser,class CSpecial,class CGraph>
class SpecialFeatureParser:public FeatureParser{
public:
  Fail *parse_feature(token_t edge){
    token_t token;
    
    if (!g_pTheLexer->get(token)) throw new ParserFail;
    if (token==Delim::open_curly){
      CPathParser path_parser;
      hCPath path(path_parser.parse());
      if (path->empty() || *(path->end()-1) != edge) throw new ParserFail;
      return ParseFD::fd()->AddPath(edge,path);
    }else if (token != Predefined::nil){
      g_pTheLexer->putback(token);
      SpecialParser parser;
      CGraph *graph = dynamic_cast<CGraph *>(ParseFD::fd());
      assert(graph);
      return graph->AddSpecial(edge,Handle<CSpecial>(parser.parse_special()));
    }
    return 0;
  }
};

#endif
