#include "lisp.h"
#include "lcb.hxx"

DEFINE_LCB(ConstructFUFEntity);
DEFINE_LCB(Error);
DEFINE_LCB(MakeInvExprMsg);
DEFINE_LCB(EvalStr);
DEFINE_LCB(Cons);
DEFINE_LCB(ConsPairToList);
DEFINE_LCB(DefPrimitive);

typedef LispVal (*LCBFunc0)();
extern "C" LCBFunc0 lisp_call_address(int index);

extern "C"
void RegisterLCB(int idxConstructFUFEntity,
                 int idxError,
                 int idxMakeInvExprMsg,
                 int idxEvalStr,
                 int idxCons,
                 int idxConsPairToList,
                 int idxDefPrimitive)
{
  SET_LCB(ConstructFUFEntity);
  SET_LCB(Error);
  SET_LCB(MakeInvExprMsg);
  SET_LCB(EvalStr);
  SET_LCB(Cons);
  SET_LCB(ConsPairToList);
  SET_LCB(DefPrimitive);
}
