(define _ir4_1
  '((cat clause)
    (process-type attributive)
    (carrier ((lex "car")
              (np-type common)
              (distance near)))
    (attribute === "expensive")))

(define _ir4_2
  '((cat clause)
    (process-type action)
    (agent ((lex "John")
            (np-type proper)))
    (medium ((lex "book")
             (np-type common)
             (definite no)
             (describer === "blue")))
    (benef ((lex "Mary")
            (np-type proper)))
    (verb ((process-class action)
           (voice-class non-middle)
           (transitive-class bitransitive)
           (dative-prep "to")
           (lex "give")))))

(define _ir4_3
  '((cat clause)
    (process-type action)
    (focus {medium})
    (agent ((lex "John")
            (np-type proper)))
    (medium ((lex "book")
             (np-type common)
             (definite no)
             (classifier === "science")))
    (benef ((lex "Mary")
            (np-type proper)))
    (verb ((process-class action)
           (voice-class non-middle)
           (dative-prep "to")
           (lex "give")))))

(define _ir4_4
  '((cat clause)
    (process-type mental)
    (processor ((lex "John")
                (np-type proper)))
    (phenomenon ((lex "Mary")
                 (np-type proper)))
    (verb ((process-class mental)
           (voice-class non-middle)
           (lex "like")))))

(define _ir4_5
  '((cat clause)
    (process-type equative)
    (identified ((lex "John")
                 (np-type proper)))
    (identifier ((lex "teacher")
                 (np-type common)))))

(define _ir4_6
  '((cat clause)
    (process-type equative)
    (focus {identifier})
    (identified ((lex "John")
                 (np-type proper)))
    (identifier ((lex "president")
                 (np-type common)))))

(define _ir4_7
  '((cat clause)
    (process-type action)
    (agent ((lex "John")
            (np-type proper)))
    (medium ((lex "ball")
             (np-type common)
             (definite no)
             (describer === heavy)))
    (benef ((lex "Mary")
            (np-type proper)))
    (focus {benef})
    (verb ((process-class action)
           (voice-class non-middle)
           (transitive-class bitransitive)
           (dative-prep "to")
           (lex "throw")))))

(define _ir4_8
  '((cat clause)
    (process-type attributive)
    (carrier ((lex "book")
              (np-type common)
              (determiner ((possessive yes)
                           (lex "John")
                           (np-type proper)))))
    (attribute === "beautiful")))

(define _ir4_9
  '((speech-act assertive)
    (tense present)
    (aspect ((perfective no) (progressive no)))
    (cat clause)
    (mood finite)
    (verb
     ((lex "move")
      (voice-class middle) 
      (transitive-class intransitive)))
    (process-type action) 
    (medium ((definite yes)
             (np-type common)
             (lex "sig-display marker")))))

(define _ir4_10
  '((speech-act assertive)
    (tense present)
    (aspect ((perfective no) (progressive no)))
    (cat clause)
    (mood finite)
    (verb
     ((lex "move")
      (voice-class middle) 
      (transitive-class intransitive)))
    (process-type action)  
    (medium ((definite yes)
             (np-type common)
             (lex "sig-display marker")))
    (to-loc ((definite yes) (np-type common) (lex "right")))))

(define _ir4_11
  '((speech-act assertive)
    (tense present)
    (aspect ((perfective no) (progressive no)))
    (cat clause)
    (mood finite)
    (verb
     ((lex "move")
      (voice-class middle) 
      (transitive-class intransitive)))
    (process-type action)  
    (medium ((definite yes)
             (np-type common)
             (lex "sig-display marker")))
    (from-loc ((definite yes) (np-type common) (lex "left")))))

(define _ir4_12
  '((speech-act assertive)
    (tense present)
    (aspect ((perfective no) (progressive no)))
    (cat clause)
    (mood finite)
    (verb
     ((lex "move")
      (voice-class middle) 
      (transitive-class intransitive)))
    (process-type action)
    (medium ((definite yes)
             (np-type common)
             (lex "sig-display marker")))
    (to-loc ((definite yes) (np-type common) (lex "right")))
    (from-loc ((definite yes) (np-type common) (lex "left")))))


(define _ir4_13
  '((speech-act assertive)
    (cat clause)
    (mood finite)
    (verb
     ((lex "cause")
      (voice-class non-middle)           
      (transitive-class transitive)
      (subject-clause present-participle)
      (object-clause infinitive)))
    (process-type action)
    (agent ((speech-act assertive)
            (cat clause)
            (mood non-finite)
            (verb ((lex "increase")
                   (voice-class middle)
                   (transitive-class transitive)))
            (process-type action)
            (medium ((definite yes)
                     (np-type common)
                     (lex "power level")))))
    (medium ((speech-act assertive)
             (cat clause)
             (mood non-finite)
             (verb ((lex "move")
                    (voice-class middle) 
                    (transitive-class intransitive)))
             (process-type action)  
             (medium ((definite yes)
                      (np-type common)
                      (lex "sig-display marker")))
             (to-loc ((definite yes)
                      (np-type common)
                      (lex "right")))))))

(define _ir4_14
  '((cat clause)
    (mood non-finite)
    (non-finite infinitive)
    (process-type action)
    (agent ((cat np) 
            (np-type pronoun)
            (pronoun-type personal)
            (gender feminine)))
    (verb ((lex "do")
           (voice-class non-middle)
           (transitive-class transitive)))
    (medium ((cat np)
             (np-type pronoun)
             (pronoun-type personal)
             (gender neuter)))))

(define _ir4_15
  '((cat clause)
    (process-type attributive)
    (carrier ((cat clause)
              (process-type action)
              (agent ((cat np) 
                      (np-type pronoun)
                      (pronoun-type personal)
                      (gender feminine)))
              (verb ((lex "do")
                     (voice-class non-middle)
                     (transitive-class transitive)))
              (medium ((cat np)
                       (np-type pronoun)
                       (pronoun-type personal)
                       (gender neuter)))))
    (attribute ((cat np)
                (np-type common)
                (definite no)
                (lex "statement")
                (describer === bold)))))

(define _ir4_16
  '((cat np)
    (np-type common)
    (head === man)
    (definite yes)
    (animate yes)
    (qualifier ((cat clause)
                (restrictive no)
                (scope ((role phenomenon)))
                (process-type mental)
                (verb ((lex "know")
                       (voice-class non-middle)
                       (transitive-class transitive)))
                (processor ((cat np)
                            (np-type pronoun)
                            (pronoun-type personal)
                            (person first)))))))

(define _ir4_17
  '((cat np)
    (np-type common)
    (head === man)
    (definite yes)
    (qualifier ((cat clause)
                (restrictive yes)    ;; ***** here is the difference
                (scope ((role phenomenon)))
                (process-type mental)
                (verb ((lex "know")
                       (voice-class non-middle)
                       (transitive-class transitive)))
                (processor ((cat np)
                            (np-type pronoun)
                            (pronoun-type personal)
                            (person first)))))))

(define _ir4_18
  '((cat np)
    (np-type common)
    (head === man)
    (definite yes)
    (qualifier ((cat clause)
                (restrictive yes)
                (scope ((role processor)))
                (process-type mental)
                (verb ((lex "know")
                       (voice-class non-middle)
                       (transitive-class transitive)))
                (phenomenon ((cat np)
                             (np-type pronoun)
                             (pronoun-type personal)
                             (person first)))))))

(define _ir4_19
  '((cat np)
    (np-type common)
    (head === position)
    (definite yes)
    (qualifier ((cat clause)
                (restrictive yes)
                (scope ((role to-loc)))
                (process-type action)
                (verb ((lex "move")
                       (voice-class middle)
                       (transitive-class intransitive)))
                (medium ((cat np)
                         (np-type common)
                         (lex "marker")
                         (definite yes)))
                (to-loc ((definite yes)
                         (np-type common)
                         (lex "right")))))))

(define _ir4_20
  '((cat np)
    (np-type common)
    (head === position)
    (definite yes)
    (qualifier ((cat pp)
                (restrictive yes)
                (np-type common)
                (head === marker)
                (definite yes)))))

(define _ir4_21
  '((cat np)
    (np-type common)
    (head === wife)
    (determiner ((possessive yes)
                 (np-type pronoun)
                 (pronoun-type personal)
                 (person first)))
    (qualifier ((cat np)
                (restrictive no)
                (np-type proper)
                (head === "Carol")))))

(define _ir4_22
  '((cat np)
    (np-type common)
    (head === brother)
    (determiner ((possessive yes)
                 (np-type pronoun)
                 (pronoun-type personal)
                 (person first)))
    (qualifier ((cat np)
                (restrictive yes)  ;; **** Here is the difference
                (np-type proper)
                (head === "Steve")))))

(define _ir4_23
  '((cat np)
    (np-type common)
    (head === person)
    (determiner ((definite no)))
    (describer ((cat adj)
                (lex "intelligent")))))

(define _ir4_24
  '((cat list)
    (common ((part-of-speech np)))
    (distinct
     ~(((np-type common)
        (head === brother)
        (determiner ((possessive yes)
                     (np-type pronoun)
                     (pronoun-type personal)
                     (person first)))
        (qualifier ((cat np)
                    (restrictive yes)
                    (np-type proper)
                    (head === "Steve"))))
       ((np-type common)
        (head === wife)
        (determiner ((possessive yes)
                     (np-type pronoun)
                     (pronoun-type personal)
                     (person first)))
        (qualifier ((cat np)
                    (restrictive no)
                    (np-type proper)
                    (head === "Carol"))))))))

(define _ir4_25
  '((cat list)
    (common ((part-of-speech np)))
    (distinct
     ~(((np-type common)
        (head === wife)
        (determiner ((possessive yes)
                     (np-type pronoun)
                     (pronoun-type personal)
                     (person first)))
        (qualifier ((cat np)
                    (restrictive no)
                    (np-type proper)
                    (head === "Carol"))))
       ((np-type common)
        (head === brother)
        (determiner ((possessive yes)
                     (np-type pronoun)
                     (pronoun-type personal)
                     (person first)))
        (qualifier ((cat np)
                    (restrictive yes)
                    (np-type proper)
                    (head === "Steve"))))
       ((np-type proper)
        (lex "John"))))))

(define _ir4_26
  '((cat list)
    (common ((part-of-speech clause)
             (mood non-finite)
             (non-finite imperative)))
    (distinct
     ~(((process-type action)
        (verb ((lex "take")
               (voice-class non-middle)
               (transitive-class transitive)))
        (medium ((cat np)
                 (np-type common)
                 (head === hammer)
                 (definite yes))))
       ((process-type action)
        (verb ((lex "hit")
               (voice-class non-middle)
               (transitive-class transitive)))
        (medium ((cat np)
                 (np-type common)
                 (head === nail)
                 (definite yes))))))))		   

(define _ir4_27
  '((cat clause)
    (mood non-finite)
    (non-finite imperative)
    (process-type action)
    (verb ((lex "clean")
           (voice-class non-middle)
           (transitive-class transitive)))
    (medium ((cat np)
             (np-type common)
             (head === "box")
             (definite yes)))
    (purpose ((process-type action)
              (verb ((lex "install")
                     (voice-class non-middle)
                     (transitive-class transitive)))
              (medium ((cat np)
                       (np-type common)
                       (head === "battery")
                       (definite yes)))))))



(define _ir4_28
  '((cat clause)
    (process-type attributive)
    (epistemic-modality inference)
    (carrier ((cat clause)
              (process-type action)
              (agent ((cat np) 
                      (np-type pronoun)
                      (pronoun-type personal)
                      (gender feminine)))
              (verb ((lex "do")
                     (voice-class non-middle)
                     (transitive-class transitive)))
              (medium ((cat np)
                       (np-type pronoun)
                       (pronoun-type personal)
                       (gender neuter)))))
    (attribute ((cat np)
                (np-type common)
                (definite no)
                (lex "statement")
                (describer === bold)))))


(define _ir4_29
  '((cat np)
    (np-type common)
    (head === man)
    (animate yes)
    (definite yes)
    (qualifier ((cat clause)
                (restrictive no)
                (scope ((role phenomenon)))
                (process-type mental)
                (epistemic-modality "may")
                (verb ((lex "know")
                       (voice-class non-middle)
                       (transitive-class transitive)))
                (processor ((cat np)
                            (np-type pronoun)
                            (pronoun-type personal)
                            (person first)))))))

(define _ir4_30
  '((speech-act assertive)
    (tense present)
    (aspect ((perfective no) (progressive no)))
    (epistemic-modality possible)
    (cat clause)
    (mood finite)
    (verb
     ((lex "move")
      (voice-class middle) 
      (transitive-class intransitive)))
    (process-type action)  
    (medium ((definite yes)
             (np-type common)
             (lex "sig-display marker")))
    (to-loc ((definite yes) (np-type common) (lex "right")))))

(define _ir4_31
  '((cat list)
    (common ((part-of-speech clause)
             (mood non-finite)
             (non-finite imperative)))
    (distinct
     ~(((process-type action)
        (time-relater === first)
        (verb ((lex "take")
               (voice-class non-middle)
               (transitive-class transitive)))
        (medium ((cat np)
                 (np-type common)
                 (head === hammer)
                 (definite yes))))
       ((process-type action)
        (time-relater === then)
        (verb ((lex "hit")
               (voice-class non-middle)
               (transitive-class transitive)))
        (medium ((cat np)
                 (np-type common)
                 (head === nail)
                 (definite yes))))))))		   

(define _ir4_32
  '((cat list)
    (common ((part-of-speech clause)
             (mood non-finite)
             (non-finite imperative)))
    (distinct
     ~(((process-type action)
        (epistemic-modality possible)
        (verb ((lex "take")
               (voice-class non-middle)
               (transitive-class transitive)))
        (medium ((cat np)
                 (np-type common)
                 (head === hammer)
                 (definite yes))))
       ((process-type action)
        (verb ((lex "hit")
               (voice-class non-middle)
               (transitive-class transitive)))
        (medium ((cat np)
                 (np-type common)
                 (head === nail)
                 (definite yes))))))))

(define _ir4_33
  '((process-type action)
    (cat clause)
    (mood non-finite)
    (non-finite imperative)
    (instrument ((cat np)
                 (np-type common)
                 (head === hammer)
                 (definite yes)))
    (verb ((lex "hit")
           (voice-class non-middle)
           (transitive-class transitive)))
    (medium ((cat np)
             (np-type common)
             (head === nail)
             (definite yes)))))		   

(define _ir4_34
  '((process-type action)
    (cat clause)
    (mood non-finite)
    (non-finite imperative)
    (instrument ((cat np)
                 (np-type common)
                 (head === hammer)
                 (definite no)))
    (verb ((lex "hit")
           (instrument-prep "using")
           (voice-class non-middle)
           (transitive-class transitive)))
    (medium ((cat np)
             (np-type common)
             (head === nail)
             (definite yes)))))		   

(define _ir4_35
  '((process-type action)
    (cat clause)
    (mood non-finite)
    (non-finite imperative)
    (instrument ((cat np)
                 (np-type common)
                 (head === screwdriver)
                 (definite no)))
    (verb ((lex "take")
           (particle "off")
           (instrument-prep "using")
           (voice-class non-middle)
           (transitive-class transitive)))
    (medium ((cat np)
             (np-type common)
             (head === nail)
             (definite yes)))))		   

(define _ir4_36
  '((process-type action)
    (cat clause)
    (focus {medium})
    (instrument ((cat np)
                 (np-type common)
                 (head === screwdriver)
                 (definite no)))
    (verb ((lex "take")
           (particle "off")
           (instrument-prep "using")
           (voice-class non-middle)
           (transitive-class transitive)))
    (medium ((cat np)
             (np-type common)
             (head === nail)
             (definite yes)))))		   

(define _ir4_37
  '((process-type action)
    (cat clause)
    (mood non-finite)
    (non-finite imperative)
    (instrument ((cat np)
                 (prep "using")
                 (np-type common)
                 (head === screwdriver)
                 (definite no)))
    (verb ((lex "take")
           (particle "off")
           (voice-class non-middle)
           (transitive-class transitive)))
    (medium ((cat np)
             (np-type common)
             (head === nail)
             (definite yes)))))		   
