;;; -*- Mode:Lisp; Syntax:Common-Lisp; Package: FUG5 -*-
;;; -----------------------------------------------------------------------
;;; File:         heb-types.l
;;; Description:  
;;; Author:       Yael Netzer
;;; Created:      13 Aug 1999
;;; Modified:     
;;; Package:      FUG5
;;; -----------------------------------------------------------------------

(in-package "FUG5")

(define-feature-type simple-np 
  (pronoun common proper)) 

;; for nouns such as : Samayim, niSuIym
(define-feature-type plural (sing-as-plural))

;(define-feature-type common
;  (functional-cat))

(define-feature-type proper
  (basic-proper compound-proper))


(define-feature-type functional-cat
  (material container location))

(define-feature-type common ())

(define-feature-type simple-np-head 
  (noun noun-compound  person-name))

(define-feature-type noun
  (relational-noun))

(define-feature-type simple-np 
  (common pronoun proper measure partitive date address))

(define-feature-type quantifier
  (amount quant-partitive))

(define-feature-type complex-np (pronoun common proper date))


