;white.bgu.ac.il:/users/white/masters/yaeln/Hebrew/relational.l, Sun Dec 21 09:57:37 1997, edit by Yael Netzer
;;; -*- Mode:Lisp; Syntax:Common-Lisp; Package: FUG5 -*-
;;; -----------------------------------------------------------------------
;;; File:         relational.l
;;; Description:  
;;; Author:       Yael Netzer
;;; Created:      14 Oct 1997
;;; Modified:     
;;; Package:      FUG5
;;; -----------------------------------------------------------------------

(in-package "FUG5")

;; suggestion for relaitonal-noun input
(def-test relnoun1
  "hamehyrut haxy Tovah Sel hamexonyt."
  ((cat common)
   (definite yes)
   (head ((cat relational-noun)
          (lex "mehyrut")
	  (gender feminine)
          (subcat ((1 ((cat pp)
                       (prep ((lex "Sel")))
                   ;(1 ((np {^4 lex-roles speeder})))))))
		       (np {^4 lex-roles speeder})))))))
   (lex-roles ((speeder ((cat np)
			 (definite yes)
			 (head ((lex "mexonyt")))))))
   (describer ((lex "Tov")
               (superlative yes))) 
   (qualifier {^ head subcat 1})))

;;;;;;;;;;
;;
;; part of grammar - taking care of relational-nouns
;; Relational-nouns are types of noun-heads, not of NP - becuase there is
;; no syntactic difference in the NP structure.
;;
(def-alt relational-nouns (:index {^ head cat})
  (:demo "Does this noun pharse has relational head?")
  (((head ((cat #(under relational-noun))
	   ;;; 
	   ;;; unlike lexical definition of process, relational nouns do
	   ;;; not require the presence of its lex-roles in the
	   ;;; NP. lex-roles can be realized in the clause or be implicit
	   ;;; in discourse.
	   (alt (((subcat given))
		 ((subcat none)
		  (realize-lex-roles ((alt (clause discourse))))))))))
   ((head ((cat np-head))))))

;; added (define-feature-type noun (relational-noun))
	   




