;;; -*- Mode:Lisp; Syntax:Common-Lisp; -*-
;;; -----------------------------------------------------------------------
;;; File:         ir7.l
;;; Description:  Examples for ir7 testing bk-class with manner
;;; Author:       Michael Elhadad
;;; Created:      21 Feb 1991
;;; Modified:     25 Feb 91 - added ao examples
;;; Package:      FUG4
;;; -----------------------------------------------------------------------

(defmacro define (var value) `(setq ,var ,value))
(load (concatenate 'string *cfuf-common-path* "testsuit/ir7.scm"))

(defun ir7_1 ()
  (format t "ir7_1 --> The Denver Nuggets edged the Celtics.~%")
  (setq ir7_1 _ir7_1))
		     

(ir7_1)

(defun ir7_2 ()
  (store-verbs '(("beat" "beats" "beat" "beating" "beat")))
  (format t "ir7_2 --> The Denver Nuggets narrowly beat the Celtics.~%")
  (setq ir7_2 _ir7_2))

(ir7_2)

(defun ir7_3 ()
  (format t "ir7_3 --> The Denver Nuggets narrowly beat the Celtics.~%")
  (setq ir7_3 _ir7_3))


(ir7_3)


(defun ir7_4 ()
  (format t "ir7_4 --> The Denver Nuggets surprisingly beat the Celtics.~%")
  (setq ir7_4 _ir7_4))


(ir7_4)

(defun ir7_5 ()
  (format t "ir7_5 --> The Denver Nuggets stunned the Celtics.~%")
  (setq ir7_5 _ir7_5))

(ir7_5)


;; Now try them together!!! ao AND manner...
(defun ir7_6 ()
  (format t "ir7_6 --> The Denver Nuggets surprisingly nipped the Celtics.~%")
  (setq ir7_6 _ir7_6))

(ir7_6)


(defun test7 (&key (from 1) (to 6) (timed nil))
  (do* ((i from (1+ i))
	(func (find-symbol (format nil "IR7_~s" i)) 
	      (find-symbol (format nil "IR7_~s" i))))
       ((> i to) 
	(values))
       (format t "~%=======================~%")
       (if timed
	   (time (uni (funcall func) :limit 2000))
	 (uni (funcall func) :limit 2000))))

(setq *ir-list* (list (cons ir7_1 "ir7_1") (cons ir7_2 "ir7_2") (cons ir7_3 "ir7_3") (cons ir7_4 "ir7_4") (cons ir7_5 "ir7_5")
                      (cons ir7_6 "ir7_6")))
