(store-verbs (quote (("read" "reads" "read" "reading" "read"))))

(def-test ex1
  "FrontPage is a Client/Server application to create World Wide Web sites."
  ((cat clause)
   (proc ((type ascriptive)
	  (mode equative)))
   (partic ((identified ((cat proper)
			 (lex "FrontPage")))
	    (identifier ((cat common)
			 (definite no)
			 (head === "application")
			 (classifier === "Client/Server")
			 (qualifier ((cat clause)
				     (mood to-infinitive)
				     ;(binder === "for")
				     (process ((type material)
					       (effect-type creative)
					       (lex "create")))
				     (partic ((agent ((index {^5 identified index})
						      (gap yes)))
					      (created ((cat common)
							(definite no)
							(number plural)
							(classifier === "World Wide Web")
							(head === "site")))))))))))))

(def-test ex2
  "In order to post a site to the World Wide Web, you will want to post it on a server."
  ((cat clause)
   (tense future)
   (proc ((type lexical)
	  (lex "want")
	  (subcat ((1 {^3 lex-roles influence})
		   (2 {^3 lex-roles influenced})
		   (3 {^3 lex-roles soa})
		   (3 ((cat clause)
		       (mood to-infinitive)))))))
   (lex-roles 
    ((influence ((cat personal-pronoun)
		 (person second)))
     (influenced ((index {^2 influence index})
		  (gap yes)))
     (soa ((proc ((type composite)
		  (relation-type locative)
		  (lex "post")))
	   (partic ((affected ((cat personal-pronoun) 
			       (person third)
			       (gender neuter)
			       (number singular)))
		    (location ((cat pp)
			       (prep === "on")
			       (np ((cat common)
				    (definite no)
				    (head === "server")))))))))))
      (circum ((purpose ((cat clause)
		      (position front)
		      (mood to-infinitive)
		      (proc ((type material) 
			     (lex "post")))
		      (binder ((lex "in order")))
		      (controlled {^ partic agent})
		      (partic ((affected ((cat common)
					  (definite no)
					  (head === "site")))))
		      (pred-modif ((location ((cat pp)
					      (prep === "to")
					      (np ((cat common)
						   (head === "World Wide Web")))))))))))))

(def-test ex3
  "To make this easy for you, FrontPage offers a Personal Web Server for you to use when authoring a web on your own PC."
  ((cat clause)
   (process ((type material)
	     ;(effect-type creative)
	     (lex "offer")))
   (partic ((agent ((cat proper)
		    (lex "FrontPage")))
	    (affected ((cat common)
		       (definite no)
		       (head === "Personal Web Server")
		       (qualifier
			((cat clause)
			 (mood for-to-infinitive)
			 (binder none)
			 (process ((type material)
				   (effective no)
				   (lex "use")))
			 (partic ((agent ((cat personal-pronoun)
					  (person second)))))
			 (circum ((time ((cat clause)
					 (mood present-participle)
					 (proc ((type material)
						(lex "author")))
					 (controlled {^ partic agent})
					 (partic ((agent ((index {^5 partic agent index})))
						  (affected ((cat common)
							     (definite no)
							     (lex "web")))))
					 (pred-modif ((location ((cat pp)
								 (prep === "on")
								 (np ((cat common)
								      (possessor ((cat personal-pronoun)
										  (person second)))
								      (classifier === "own")
								      (head === "PC")))))))))))))))))
   (circum
    ((purpose ((cat clause)
	       (mood to-infinitive)
	       (binder none)
	       (position front)
	       (proc ((type composite)
		      (relation-type ascriptive)
		      (effect-type creative)
		      (lex "make")))
	       (partic ((agent ((cat personal-pronoun)
				(person first)))
			(created ((cat demonstrative-pronoun)
				  (distance near)))
			(carrier {^ created})
			(attribute ((cat ap)
				    (lex "easy")))))
	       (circum ((behalf ((cat pp)
				 (np ((cat personal-pronoun)
				      (person second)))))))))))))

(def-test ex4
  "You can use the Personal Web Server to stage your web sites as you are developing them."
  ((cat clause)
   (epistemic-modality possible)
   (proc ((type lexical)
	  (lex "use")
	  (voice active)
	  (subcat ((1 {^3 lex-roles influence})
		   (2 {^3 lex-roles influenced})
		   (3 {^3 lex-roles soa})
		   (3 ((cat clause)
		       (mood to-infinitive)))))))
   (lex-roles 
    ((influence ((cat personal-pronoun)
		 (person second)))
     (influenced ((cat common)
		  (lex "Personal Web Server")))
     (soa ((proc ((type material)
		  (lex "stage")))
	   (partic ((affected ((cat common)
			       (possessor ((cat personal-pronoun)
					   (person second)))
			       (number plural)
			       (head === "site")
			       (classifier === "web")))))
	   (circum ((time ((cat clause)
			   (tense present-progressive)
			   (mood bound-adverbial)
			   (binder === "as")
			   (process ((type material) 
				     (lex "develop")))
			   (partic ((agent ((cat personal-pronoun)
					    (person second)))
				    (affected ((cat pronoun)
					       (number plural)
					       (person third)))))))))))))))

(def-test ex5
  "The book that you have written can be read in several contradictory manners."
  ((cat clause)
   (epistemic-modality possible)
   (proc ((type mental)
	  (voice passive)
	  (lex "read")))
   (partic ((phenomenon ((cat common)
			 (lex "book")
			 (qualifier ((cat clause)
				     (tense present-perfect)
				     (proc ((type material)
					    (lex "write")))
				     (partic ((agent ((cat personal-pronoun)
						      (person second)))))))))))
   (pred-modif ((manner ((cat pp)
			 (prep === "in")
			 (np ((cat common)
			      (number plural)
			      (definite no)
			      (lex "manner")
			      (describer ((cat list)
					  (distinct ~(((cat ap)
						       (lex "several"))
						      ((cat ap)
						       (lex "contradictory"))))))))))))))

(def-test ex6
  "Seriously, could there be antilopes in Beer Sheva?"
  ((cat clause)
   (mood yes-no)
   (epistemic-modality could)
   (proc ((type existential)))
   (partic ((located ((cat common)
		      (definite no)
		      (number plural)
		      (lex "antilope")))))
   (pred-modif ((location ((cat pp)
			   (prep === "in")
			   (np ((cat proper)
				(lex "Beer Sheva")))))))
   (circum ((manner ((cat adv) 
		     (lex "Seriously")))))))

(def-test ex7
  "I wanted him to convince her to write a good story."
  ((cat clause)
   (tense past)
   (proc ((type lexical)
	  (lex "want")
	  (voice active)
	  (subcat ((1 {^3 lex-roles influence})
		   (2 {^3 lex-roles influenced})
		   (3 {^3 lex-roles soa})
		   (3 ((cat clause)
		       (mood to-infinitive)))))))
   (lex-roles 
    ((influence ((cat personal-pronoun)
		 (person first)))
     (influenced ((cat personal-pronoun) 
		  (person third)
		  (gender masculine)
		  (number singular)))
     (mood imperative)
     (soa ((proc ((type lexical)
		  (lex "convince")
		  (subcat ((1 {^3 lex-roles influence})
			   (2 {^3 lex-roles influenced})
			   (3 {^3 lex-roles soa})
			   (3 ((cat clause)
			       (mood to-infinitive)))))))
	   (lex-roles
	    ((influence ((index {^ influenced index})
			 (gap yes)))
	     (influenced ((cat personal-pronoun) 
			  (person third)
			  (gender feminine)))
	     (soa ((proc ((type material)
			  (lex "write")))
		   (partic ((affected ((cat common)
				       (definite no)
				       (classifier === "good")
				       (lex "story")))))))))))))))

(def-test ex8
  "I did it for you to win."
  ((cat clause)
   (tense past)
   (proc ((type material)
	  (lex "do")))
   (partic ((agent ((cat personal-pronoun)
		    (person first)))
	    (affected ((cat personal-pronoun)))))
   (circum ((purpose ((cat clause)
		      (mood for-to-infinitive)
		      (binder none)
		      (proc ((type material)
			     (transitive no)
			     (lex "win")))
		      (partic ((agent ((cat personal-pronoun)
				       (person second)))))))))))

(def-test ex9
  "One posts a site to the WWW."
  ((cat clause)
   (proc ((type material)
	  (lex "post")))
   (partic ((agent ((cat proper)
		    (lex "one")))
	    (affected ((cat common)
		       (definite no)
		       (lex "site")))))
   (pred-modif ((location ((cat pp)
			   (prep === "to")
			   (np ((cat common)
				(lex "WWW")))))))))
	    
(def-test ex10
  "You want to post a site on a server."
  ((cat clause)
   (proc ((type lexical)
	  (lex "want")
	  (subcat ((1 {^3 lex-roles influence})
		   (2 {^3 lex-roles influenced})
		   (3 {^3 lex-roles soa})
		   (3 ((cat clause)
		       (mood to-infinitive)))))))
   (lex-roles 
    ((influence ((cat personal-pronoun)
		 (person second)))
     (influenced ((index {^2 influence index})
		  (gap yes)))
     (soa ((proc ((type composite)
		  (relation-type locative)
		  (lex "post")))
	   (partic ((affected ((cat common) 
			       (definite no)
			       (lex "site")))
		    (location ((cat pp)
			       (prep === "on")
			       (np ((cat common)
				    (definite no)
				    (head === "server")))))))))))))

(def-test ex11
  "In order to post a site to the WWW, you want to post a site on a server."
  ((cat clause)
   (proc ((type lexical)
	  (lex "want")
	  (subcat ((1 {^3 lex-roles influence})
		   (2 {^3 lex-roles influenced})
		   (3 {^3 lex-roles soa})
		   (3 ((cat clause)
		       (mood to-infinitive)))))))
   (lex-roles 
    ((influence ((cat personal-pronoun)
		 (person second)))
     (influenced ((index {^2 influence index})
		  (gap yes)))
     (soa ((proc ((type composite)
		  (relation-type locative)
		  (lex "post")))
	   (partic ((affected ((cat common) 
			       (definite no)
			       (lex "site")))
		    (location ((cat pp)
			       (prep === "on")
			       (np ((cat common)
				    (definite no)
				    (head === "server")))))))))))
   (circum ((purpose ((cat clause)
		      (position front)
		      (mood to-infinitive)
		      (proc ((type material)
			     (lex "post")))
		      (partic ((agent ((index {^5 partic agent index})))
			       (affected ((cat common)
					  (definite no)
					  (lex "site")))))
		      (pred-modif ((location ((cat pp)
					      (prep === "to")
					      (np ((cat common)
						   (lex "WWW")))))))))))))
