#include "stdcfuf.h"
#include "b_control.hxx"

/////////////////////////////////////////////////////////////////////////////////
// CControl methods
//
CControl::~CControl()
{
  while (m_stmt.size()){
    StrOrAddr elem = m_stmt.back();
    if (m_chooser.back()) delete elem.str;
    else delete elem.addr;
    m_stmt.pop_back();
    m_chooser.pop_back();
  }
}
string CControl::toString() const
{
  string res;
  vector<StrOrAddr>::const_iterator stmt_it = m_stmt.begin();
  vector<bool>::const_iterator chooser_it = m_chooser.begin();
  for (uint i=0;i<m_stmt.size();++i,++stmt_it,++chooser_it)
    if (*chooser_it) res << *(stmt_it->str);
    else res << '@' << stmt_it->addr;
  return res;
}
