#include "stdcfuf.h"
#define SORT
#include "b_fset.hxx"

#ifdef SORT
#include <algo.h>

bool comp(token_t t1,token_t t2)
{
  return strcmp(TOK2STR(t1),TOK2STR(t2)) < 0;
}
#endif

/////////////////////////////////////////////////////////////////////////////////
// CFset methods
//
string CFset::toString() const
{
  if (empty()) return "()";
  string str("(");
#ifdef SORT
  vector<token_t> sorted(size());
  copy(begin(),end(),sorted.begin());
  sort(sorted.begin(),sorted.end(),comp);
  vector<token_t>::const_iterator cur=sorted.begin();
#else
  const_iterator cur=begin();
#endif
  for (uint i=size()-1;i;--i,++cur) str << *cur << ' ';
  return str << *cur << ')';
}
