#ifndef _COMPILER_EXTCMDS_
#define _COMPILER_EXTCMDS_

#include "c_barecmds.hxx"
#include "b_extfwd.hxx"

class CAddCsetCmd:public CCmd{
  hCCset m_cset;
public:
  explicit CAddCsetCmd(const hCCset& cset);
  Fail *exec(CFDBuilder *);
  string str() const;
};

class CAddFsetCmd:public CCmd{
  hCFset m_fset;
public:
  explicit CAddFsetCmd(const hCFset& fset);
  Fail *exec(CFDBuilder *);
  string str() const;
};

class CAddControlCmd:public CCmd{
  hCControl m_control;
public:
  explicit CAddControlCmd(const hCControl& control);
  Fail *exec(CFDBuilder *);
  string str() const;
};

class CAddPatternCmd:public CCmd{
  const hCPatternType& m_pattern;
public:
  explicit CAddPatternCmd(const hCPatternType& pattern);
  Fail *exec(CFDBuilder *);
  string str() const;
};

#endif
