#ifndef _COMPILER_SPECIAL_
#define _COMPILER_SPECIAL_

class CExtFD;
class CFDNode;

// Every special type must know to add itself to some fd.
// For instance, CCsetType must know to execute
//   fd->AddSpecial(Predefined::cset,const hCCset& cset)
class CSpecial{
public:
  virtual ~CSpecial(){}
  virtual Fail *add_self(CExtFD *fd) const =0;
  virtual hCType clone(CFDNode *owner) const =0;
  virtual token_t feature() const = 0;
  virtual void cleanup(){}
};

#endif
