#include "stdcfuf.h"
#include "b_tokhier.hxx"
#include "cfuf.hxx"
#include "cfuf_typehier.hxx"

////////////////////////////////////////////////////////////////////////////////
// CFUFTypehier methods
//
Fail *CFUFTypehier::Define(token_t parent,const TokenList& lstChildren)
{
  TokenList::const_iterator it = lstChildren.begin();
  for (uint i = lstChildren.size();i;--i,++it)
    if (Fail *f = g_pTheTokhier->insert_pair(parent,*it)) return f;
  
  return 0;
}
void CFUFTypehier::Reset(uint nMaxTypes)
{
  g_pTheTokhier->reset(nMaxTypes);
}
void CFUFTypehier::Realize()
{
  g_pTheTokhier->Realize();
}
void CFUFTypehier::Clear()
{
  g_pTheTokhier->reset();
  g_pTheTokhier->Realize();
}
uint CFUFTypehier::GetCount()
{
  return g_pTheTokhier->count();
}
uint CFUFTypehier::GetCapacity()
{
  return g_pTheTokhier->capacity();
}
ret::utoken_t CFUFTypehier::GetGLB(token_t token1,token_t token2)
{
  return g_pTheTokhier->get_glb(token1,token2);
}
