#include "stdcfuf.h"
#include "p_fset.hxx"

/////////////////////////////////////////////////////////////////////////////////
// FsetParser methods
//
CFset *FsetParser::parse_special() throw (Fail *)
{
  m_fset.reset(new CFset);
  BaseParser::parse_list(this,true,false);
  return m_fset.release();
}
Fail *FsetParser::parse_list_elem(token_t first)
{
  if (Delim::is_delim(first)) throw new ParserFail;
  m_fset->insert(first);
  return 0;
}
