#include "stdcfuf.h"
#include "u_gr.hxx"
#include "c_griterator.hxx"
#include "c_patnode.hxx"

/////////////////////////////////////////////////////////////////////////////////
// CGrammar methods
//
void CGrammar::cleanup()
{
  if (m_first_time){
    m_first_time = false;
    for (CGrTreeIterator node_i(m_root);!node_i.is_past_the_end();node_i.advance()){
      CPatBranchNode *pat_branch = node2pat_branch(node_i);
      if (pat_branch){
        pat_branch->reset();
        m_cached.push_back(pat_branch);
      }
    }
    return;
  }
  vector<CPatBranchNode *>::const_iterator it=m_cached.begin();
  for (uint i = m_cached.size();i;--i,++it) (*it)->reset();
}
