#ifndef _UNIFY_UNIFY_
#define _UNIFY_UNIFY_

class CFD;
class CGrammar;
class CBranchNode;

class CUnifyEngine{
  CFD *m_fd;
  int m_ucount;
public:
  CUnifyEngine():m_fd(0),m_ucount(0){}
  ret::ubool_t exec(const EdgeList& elist,CFDNode *node,CGrammar *gr);
  int ucount() const     { return m_ucount; }
private:
  bool unify_branch(CBranchNode *branch);
  Fail *set_stack(const EdgeList& elist,CFDNode *node);
};

#endif
