:pa ff
:cd /home/mark/thesis/cfuf/front-end/lisp/.test
(require 'foreign)

(defun initialize ()
  (def-c-type (fuf-entity :no-defuns) :struct (nil :unsigned-int) (nil :unsigned-int))

  (defforeign 'register-lcb :entry-point "RegisterLCB" :arguments '(fixnum fixnum) :return-type :void)
  (defforeign 'delete-fuf-entity :entry-point "DeleteFUFEntity" :arguments '(:lisp) :return-type :void)

  (defun-c-callable lcb-construct-fuf-entity ()
    (let ((fuf-entity (make-fuf-entity)))
      (schedule-finalization fuf-entity 'delete-fuf-entity)
      fuf-entity))
  (defun-c-callable lcb-error ((msg :unsigned-long))
    (error (char*-to-string msg)))
  (register-lcb (cadr (multiple-value-list (register-function 'lcb-construct-fuf-entity)))
                (cadr (multiple-value-list (register-function 'lcb-error))))

  (defforeign 'ple :entry-point "ParseLispExp" :arguments '(:lisp) :return-type :void)
  )

(progn (load "parser.so") (initialize))
(defun parse-surge ()
  (defmacro define (var value) `(setq ,var ,value))
  (load "/home/mark/thesis/cfuf/surge/refreshed-surge.scm")
  (ple gr))
;; (parse-surge)
