#ifndef _LISP_CALLBACKS_
#define _LISP_CALLBACKS_

#include "macros.h"

struct LCB
{
  DECLARE_LCB(ConstructFUFEntity,());
  DECLARE_LCB(Error,(const char *szMsg,LispVal lsp_val));
  DECLARE_LCB(MakeInvExprMsg,(LispVal lsp_val));
  DECLARE_LCB(EvalStr,(const char *szExpr));
  DECLARE_LCB(Cons,(LispVal lsp_car,LispVal lsp_cdr));
  DECLARE_LCB(ConsPairToList,(LispVal lsp_car,LispVal lsp_cdr,LispVal lsp_lst));
  DECLARE_LCB(DefPrimitive,(const char *szLispName,const char *szCName,int nArgs));
};

#endif
