////////////////////////////////////////////////////////////////////////////////
// fd
char *szFDCompile        = "cfuf:compile-fd";         // (define compiled-fd (cfuf:compile-fd fd))
char *szFDIsEmptyFD      = "cfuf:empty-fd?";          // (if (cfuf:empty-fd? fd) ...)
char *szFDIsFD           = "cfuf:fd?";                // (if (cfuf:fd? obj) ...)
char *szFDIsEqual        = "cfuf:equal-fd?";          // (if (cfuf:fd-equal? fd1 fd2) ...) - performs deep comparison
char *szFDGetSpecialAttr = "cfuf:get-special-attr";   // (if (eq? (cfuf:get-special-attr fd) 'pattern)
char *szFDUnify          = "cfuf:unify-fd!";          // (if (cfuf:unify-fd! compiled-fd compiled-grammar edge-list) ...)
char *szFDCopy           = "cfuf:copy-fd";            // (define compiled-fd (cfuf:copy-fd compiled-fd))
char *szFDCut            = "cfuf:cut-fd!";            // (define compiled-fd (cfuf:cut-fd! compiled-fd))
char *szFDDelete         = "cfuf:delete-fd!";         // (cfuf:delete-fd! compiled-fd)
char *szFDPaste          = "cfuf:paste-fd!";          // (if (cfuf:paste-fd! compiled-dst dst-list compiled-src) ...)
char *szFDGetType        = "cfuf:get-type";           // (define type (cfuf:get-type fdfd))
char *szFDFindChild      = "cfuf:find-child";         // (define childfd (cfuf:find-child fdfd edge/edge-list))
char *szFDGetFirstChild  = "cfuf:first-child";        // (define chedge+chfd (cfuf:first-child fdfd))
char *szFDGetFirstParent = "cfuf:first-parent";       // (define chedge+chfd (cfuf:first-parent fdfd))
char *szFDGetNextChild   = "cfuf:next-child";         // (define chedge+chfd (cfuf:next-child fdfd))
char *szFDGetNextParent  = "cfuf:next-parent";        // (define chedge+chfd (cfuf:next-parent fdfd))
char *szFDGetUCount      = "cfuf:ucount";             // (cfuf:ucount) - the number of branches visited during the last unification
char *szFDToList         = "cfuf:fd->list";           // (pretty-print (cfuf:fd->list compiled-fd))
char *szFDPrettyPrint    = "cfuf:file-pprint-fd";     // (cfuf:file-pprint-fd compiled-fd fd-name file-name) - temporary

////////////////////////////////////////////////////////////////////////////////
// grammar
char *szGrammarCompile      = "cfuf:compile-grammar";    // (define compiled-grammar (cfuf:compile-grammar grammar))
char *szGrammarIsGrammar    = "cfuf:grammar?";           // (if (cfuf:grammar? obj) ...)
char *szGrammarDoingDemo    = "cfuf:doing-demo";         // (cfuf:doing-demo [#f|#t]) - get/set demo processing status
char *szGrammarDoingWait    = "cfuf:doing-wait";         // (cfuf:doing-wait [#f|#t]) - get/set wait processing status
char *szGrammarDoingIndex   = "cfuf:doing-index";        // (cfuf:doing-index [#f|#t]) - get/set index processing status
char *szGrammarDoingBKClass = "cfuf:doing-bk-class";     // (cfuf:doing-bk-class [#f|#t]) - get/set bk-class processing status

////////////////////////////////////////////////////////////////////////////////
// type
char *szTypeUnify           = "cfuf:unify-types";        // (cfuf:unify-types t1 t2) - get the result of unification of t1 and t2

////////////////////////////////////////////////////////////////////////////////
// typehier
char *szTypehierDefine      = "cfuf:define-feature-type";// (cfuf:define-feature-type parent children-list)
char *szTypehierReset       = "cfuf:reset-types";        // (cfuf:reset-types [capacity]) - start defining types
char *szTypehierRealize     = "cfuf:realize-types";      // (cfuf:realize-types) - end defining types
char *szTypehierClear       = "cfuf:clear-types";        // (cfuf:clear-types) == (begin (cfuf:reset-types) (cfuf:realize-types))
char *szTypehierGetCount    = "cfuf:count-types";        // (cfuf:count-types) - get the number of types defined so far
char *szTypehierGetCapacity = "cfuf:capacity-types";     // (cfuf:capacity-types) - get the capacity of the type hierarchy
char *szTypehierGetGLB      = "cfuf:get-glb";            // (define glb (cfuf:get-glb type1 type2)) - this is not unify-types

////////////////////////////////////////////////////////////////////////////////
// bk-class
char *szBKClassDefine      = "cfuf:define-bk-class";    // (cfuf:define-bk-class feature class-list)
char *szBKClassClear       = "cfuf:clear-bk-class";     // (cfuf:clear-bk-class)
char *szBKClassGetCount    = "cfuf:count-bk-class";     // (define i (cfuf:count-bk-class))
char *szBKClassGetCapacity = "cfuf:capacity-bk-class";  // (define i (cfuf:capacity-bk-class))

////////////////////////////////////////////////////////////////////////////////
// misc
char *szMiscPathSplit    = "cfuf:split-paths";        // (cfuf:split-paths [#f|#t]) - get/set path splitting
char *szMiscCorrectGiven = "cfuf:correct-given";      // (cfuf:correct-given [#f|#t]) - get/set GIVEN semantics
char *szMiscSilent       = "cfuf:silent";             // (cfuf:silent [#f|#t]) - get/set silence status
char *szMiscTraceLevel   = "cfuf:trace-level";        // (cfuf:m_nTraceLevel [l]) - get/set the trace level
char *szMiscULimit       = "cfuf:ulimit";             // (cfuf:ulimit [i]) - get/set max branch count in unification

char *szMiscRegisterCategoriesNotUnified   = "cfuf:register-categories-not-unified";   // (cfuf:register-categories-not-unified list)
char *szMiscUnregisterCategoriesNotUnified = "cfuf:unregister-categories-not-unified"; // (cfuf:unregister-categories-not-unified [list])
char *szMiscGetCategoriesNotUnified        = "cfuf:categories-not-unified";            // (cfuf:categories-not-unified)

////////////////////////////////////////////////////////////////////////////////
// timer
char *szTimerCreate     = "cfuf:make-timer";           // (define timer (cfuf:make-timer))
char *szTimerReset      = "cfuf:reset-timer";          // (cfuf:reset-timer timer)
char *szTimerGo         = "cfuf:go-timer";             // (cfuf:go-timer timer)
char *szTimerStop       = "cfuf:stop-timer";           // (cfuf:stop-timer timer)
char *szTimerCancelLast = "cfuf:forget-last-elapsed";  // (cfuf:forget-last-elapsed timer) - forget the last measured interval
char *szTimerGetLast    = "cfuf:last-elapsed";         // (cfuf:last-elapsed timer) - return the last measured interval
char *szTimerGetTotal   = "cfuf:total-elapsed";        // (cfuf:total-elapsed timer) - return the sum of measured intervals
