#include "stdrun.h"
#include "runfuf.hxx"
#include "cfuf_type.hxx"

DECLARE_STRING(Type,Unify);

struct ScmType{
  DECLARE_METHOD2(Unify);
};

void PlugType()
{
  MAKE_SUBR(2,Type,Unify);
}
/////////////////////////////////////////////////////////////////////////////////
// ScmType methods
//
SCM ScmType::Unify(SCM scm_type1,SCM scm_type2)
{
  CScmInputStream istr(scm_type1);
  ret::utype_t t1 = CFUFType::Parse(istr);
  if (t1.fail) return ScmAux::Failed(szTypeUnify,t1.fail);

  istr.Reset(scm_type2);
  ret::utype_t t2 = CFUFType::Parse(istr);
  if (t2.fail) return ScmAux::Failed(szTypeUnify,t2.fail);

  ret::utype_t u = t1.val->unify(t2.val);
  if (u.fail) return ScmAux::Failed(szTypeUnify,u.fail);
  
  return ScmAux::type2scm(u.val);
}
