@echo off

set UTILS=..\utils\bin
set INTDIR=%1
set WKSPDIR=%2

set NEWFLAGS=%INTDIR%\newflags
set INITDIR=%WKSPDIR%\..\..\..\scm\toplevel

%UTILS%\fixpath #define IMPLINIT @path"%INITDIR%/Init.scm"@ > %NEWFLAGS%
%UTILS%\echo >> %NEWFLAGS%
echo #define CAUTIOUS>> %NEWFLAGS%
echo #define BIGNUMS>> %NEWFLAGS%
echo #define ARRAYS>> %NEWFLAGS%
echo #define FLOATS>> %NEWFLAGS%
echo #define ENGNOT>> %NEWFLAGS%
echo /* #define CCLO */>> %NEWFLAGS%
echo #define ENGNOT>> %NEWFLAGS%
echo #define MACRO>> %NEWFLAGS%
echo #define TICKS>> %NEWFLAGS%
echo #pragma warning(disable : 4018 4113 4715 4244 4102 4028)>> %NEWFLAGS%

set SCMFLAGS=%WKSPDIR%\..\..\scm5b3\scmflags.h 

fc %SCMFLAGS% %NEWFLAGS% | findstr *****
if (%ERRORLEVEL%) == (1) goto end

echo The flags changed.
copy %NEWFLAGS% %SCMFLAGS%

:end
del %NEWFLAGS%
