#include <stdio.h>
#include <string.h>

typedef int bool;
enum {false,true};

main(int argc,char *argv[])
{
	FILE *pfileInput;
	bool bEmpty;

	if (argc > 2)
	{
		fprintf(stderr,"Usage: %s [filename]\n",argv[0]);
		return 2;
	}

	if (argc == 2)
	{
		pfileInput = fopen(argv[1],"rt");
	}
	else
	{
		pfileInput = stdin;
	}

	bEmpty = feof(pfileInput);

	if (argc == 2)
	{
		fclose(pfileInput);
	}

	return bEmpty;
}
